Graph Class Reference

A 2D-plotting widget. More...

`#include <Graph.h>`

Inheritance diagram for Graph:

## Public Types

enum | Axis { Left, Right, Bottom, Top }
enum | AxisTitlePolicy { Default, ColName, ColComment, NameAndComment }
enum | CurveType { Line, Scatter, LineSymbols, VerticalBars, Area, Pie, VerticalDropLines, Spline, HorizontalSteps, Histogram, HorizontalBars, VectXYXY, ErrorBars, Box, VectXYAM, VerticalSteps, ColorMap, GrayScale, Contour, Function, ImagePlot, StackBar, StackColumn }
enum | LegendDisplayMode { Auto, ColumnName, ColumnComment, TableName, TableLegend, DataSetName }
enum | MarkerType { None = -1, Text = 0, Arrow = 1, Image = 2 }
enum | Scale { Linear, Log10, Ln, Log2, Reciprocal, Probability, Logit }
enum | Ticks { NoTicks = 0, Out = 1, InOut = 2, In = 3 }

## Public Slots

bool | addCurves (Table *w, const QStringList &names, int style=0, double lWidth=1, int sSize=3, int startRow=0, int endRow=-1)
void | copy (Graph *g)
void | copyCurves (Graph *g)
void | copyEnrichments (Graph *g)
void | copyScaleDraw (Graph *g, int i)
void | copyScaleWidget (Graph *g, int i)
int | curveCount ()
DataCurve * | insertCurve (Table *w, const QString &name, int style, int startRow=0, int endRow=-1)
DataCurve * | insertCurve (Table *w, int xcol, const QString &name, int style)
DataCurve * | insertCurve (Table *w, const QString &xColName, const QString &yColName, int style, int startRow=0, int endRow=-1)
DataCurve * | insertCurve (Table *xt, const QString &xColName, Table *yt, const QString &yColName, int style, int startRow=0, int endRow=-1)
void | insertCurve (QwtPlotItem *c)
void | insertPlotItem (QwtPlotItem *i, int type)
void | reloadCurvesData ()
void | removeCurve (QwtPlotItem *it)
void | removeCurve (int index)
| Removes a curve defined by its index. More...
void | removeCurve (const QString &s)
| Removes a curve defined by its title string s. More...
void | removeCurves (const QString &s)
| Removes all curves defined by the title/plot association string s. More...
void | showCurve (int index, bool visible=true)
| Shows/Hides a curve defined by its index. More...
void | updateCurvesData (Table *w, const QString &yColName)
int | visibleCurves ()
Pie Curves
bool | isPiePlot ()
| Returns true if this Graph is a pie plot, false otherwise. More...
PieCurve * | plotPie (Table *w, const QString &name, int startRow=0, int endRow=-1)
| Used when creating a pie plot. More...

PieCurve *

plotPie (Table *w, const QString &name, const QPen &pen, int brush, int size, int firstColor, int startRow=0, int endRow=-1, bool visible=true, double d_start_azimuth=270, double d_view_angle=90, double d_thickness=33, double d_horizontal_offset=0.0, double d_edge_dist=25, bool d_counter_clockwise=false, bool d_auto_labeling=true, bool d_values=false, bool d_percentages=true, bool d_categories=false, bool d_fixed_labels_pos=true)

| Used when restoring a pie plot from a project file. More...
void | removePie ()
QString | pieLegendText ()
QString | savePieCurveLayout ()

## Signals

void | axisDblClicked (int)
void | axisDivChanged (Graph *, int)
void | closedGraph ()
void | currentColorChanged (const QColor &)
void | currentFontChanged (const QFont &)
void | cursorInfo (const QString &)
void | dataRangeChanged ()
void | drawLineEnded (bool)
void | enableTextEditor (Graph *)
void | hiddenPlot (QWidget *)
void | modifiedGraph ()
void | selectedCanvas (Graph *)
void | selectedGraph (Graph *)
void | selectionChanged (SelectionMoveResizer *)
void | showAxisDialog (int)
void | showAxisTitleDialog ()
void | showContextMenu ()
void | showCurveContextMenu (QwtPlotItem *)
void | showFitResults (const QString &)
void | showMarkerPopupMenu ()
void | showPlotDialog (int)
void | updatedLayout (Graph *)
void | viewLineDialog ()
void | viewTitleDialog ()

## Public Member Functions

void | activateGraph ()
FrameWidget * | activeEnrichment ()
LegendWidget * | activeText ()
PlotToolInterface * | activeTool () const
| Return the active tool, or NULL if none is active. More...
FrameWidget * | add (FrameWidget *fw, bool copy=true)
void | addFitCurve (QwtPlotCurve *c)
QwtHistogram * | addHistogram (Matrix *m)
| Add a matrix histogram to the graph. More...
void | addLegendItem ()
TexWidget * | addTexFormula (const QString &s, const QPixmap &pix)
QStringList | analysableCurvesList ()
| Returns the names of all the curves suitable for data analysis, as a string list. The list excludes error bars and spectrograms. More...
bool | antialiasing ()
bool | autoscaleFonts ()
int | axesLinewidth () const
void | axisLabelFormat (int axis, char &f, int &prec) const
int | axisLabelFormat (int axis)
int | axisLabelPrecision (int axis)
double | axisStep (int axis)
AxisTitlePolicy | axisTitlePolicy ()
QRect | boundingRect ()
void | changeCurveIndex (int fromIndex, int toIndex)
void | clearAxisTitle ()
QwtPlotItem * | closestCurve (int xpos, int ypos, int &dist, int &point)
void | copyAxisTitle ()
void | copyTitle ()
void | createTable (const QString &curveName)
| Provided for convenience in scripts. More...
void | createTable (const QwtPlotCurve *curve)
PlotCurve * | curve (int index)
| get curve by index More...
PlotCurve * | curve (const QString &title)
| get curve by name More...
int | curveIndex (QwtPlotItem *c)
| Map curve pointer to index. More...
int | curveIndex (const QString &title)
| map curve title to index More...
QStringList | curveNamesList ()
| Returns the names of all the QwtPlotCurve items on the plot, as a string list. More...
QString | curveRange (QwtPlotCurve *c)
| returns the curve range information as a string: "curve_name [start:end]" More...
QList< QwtPlotItem * > | curvesList ()
QString | curveTitle (int index)
| get curve title string by inde (convenience function for scripts) More...
void | cutAxisTitle ()
void | cutTitle ()
DataCurve * | dataCurve (int index)
void | deleteFitCurves ()
void | deselect ()
void | deselect (QWidget *)
void | disableCurveAntialiasing (bool disable, int maxPoints)
void | disableImageProfilesTool ()
void | disableTools ()
void | enableAutoscaling (bool on=true)
void | enableDouglasPeukerSpeedMode (double tolerance, int maxPoints=3000)
void | enablePanningMagnifier (bool on=true, int mode=0)
bool | enableRangeSelectors (const QObject *status_target=NULL, const char *status_slot="")
void | enableTextEditor ()
QList< FrameWidget * > | enrichmentsList ()
QList< QwtPlotCurve * > | fitCurvesList ()
QColor | frameColor ()
FunctionCurve * | functionCurve (int index)
double | getDouglasPeukerTolerance ()
QList< int > | getMajorTicksType ()
QList< int > | getMinorTicksType ()
| Graph (int x=0, int y=0, int width=500, int height=400, QWidget *parent=0, Qt::WFlags f=0)
Grid * | grid ()
bool | hasActiveTool ()
| Returns true if a plot/data tool is enabled. More...
bool | hasGridOnTop ()
bool | hasPanningMagnifierEnabled ()
bool | hasSeletedItems ()
bool | hasSynchronizedScaleDivisions ()
void | hideSelectedAxis ()
QPointer< ImageProfilesTool > | imageProfilesTool ()
QList< FrameWidget * > | increasingAreaEnrichmentsList ()
void | insertMarker (QwtPlotMarker *m)
void | invertScale (int axis)
| Set axis scale. More...
bool | isAutoscalingEnabled ()
bool | isCurveAntialiasingDisabled ()
bool | isCurveAntialiasingEnabled (QwtPlotItem *it)
bool | isMissingDataGapEnabled ()
bool | isPrinting ()
QwtPlotMagnifier * | magnifyTool ()
int | majorTickLength () const
int | maxAntialisingSize ()
int | minorTickLength () const
MultiLayer * | multiLayer () const
| Returns a pointer to the parent MultiLayer object. More...
void | notifyChanges ()
void | notifyColorChange (const QColor &c)
void | notifyFontChange (const QFont &f)
int | oppositeAxis (int axis)
QRectF | pageGeometry ()
const QColor & | paletteBackgroundColor () const
QwtPlotItem * | plotItem (int index)
| get plotted item by index More...
QStringList | plotItemsList ()
| Returns the names of all plot items, including spectrograms, as a string list. More...
Spectrogram * | plotSpectrogram (Matrix *m, CurveType type)
| Add a spectrogram to the graph. More...
void | print (QPainter *, const QRect &rect, const QwtPlotPrintFilter &=QwtPlotPrintFilter())
| Paint the plot into a given rectangle. Paint the contents of a QwtPlot instance into a given rectangle (Qwt modified code). More...
void | raiseEnrichements ()
int | range (const QString &curveTitle, double *start, double *end)
int | range (QwtPlotCurve *c, double *start, double *end)
bool | rangeSelectorsEnabled ()
QPointer< RangeSelectorTool > | rangeSelectorTool ()
void | remove (FrameWidget *)
void | removeAxisTitle ()
void | restoreCurveLabels (int curveID, const QStringList &lst)
| Used when restoring DataCurve curveID from a project file. More...
QwtHistogram * | restoreHistogram (Matrix *m, const QStringList &l)
| Restores a histogram from a project file. More...
void | restoreSpectrogram (ApplicationWindow *app, const QStringList &lst)
| Restores a spectrogram. Used when opening a project file. More...
void | reverseCurveOrder ()
void | select (QWidget *l, bool add=false)
void | selectCanvas ()
QwtPlotItem * | selectedCurveLabels ()
double | selectedXEndValue ()
double | selectedXStartValue ()
QPointer< SelectionMoveResizer > | selectionMoveResizer ()
void | setActiveText (LegendWidget *l)
void | setActiveTool (PlotToolInterface *tool)
| Change the active tool, deleting the old one if it exists. More...
void | setAntialiasing (bool on=true, bool update=true)
| Enables/Disables antialiasing of plot items. More...
void | setAutoScale ()
void | setAutoscaleFonts (bool on=true)
void | setAxesLinewidth (int width)
void | setAxisStep (int axis, double step)
void | setAxisTitlePolicy (const AxisTitlePolicy &policy)
void | setBarsGap (int curve, int gapPercent, int offset)
| Used for VerticalBars, HorizontalBars and Histograms. More...
void | setCanvasCoordinates (const QRectF &)
void | setCanvasGeometry (const QRect &canvasRect)
| Adjust plot content to its canvas size. More...
void | setCanvasGeometry (int x, int y, int w, int h)
| Convenience function for scripts. More...
void | setCanvasSize (const QSize &size)
| Adjust plot content to its canvas size. More...
void | setCanvasSize (int w, int h)
| Convenience function for scripts. More...
void | setCurrentColor (const QColor &c)
void | setCurrentFont (const QFont &f)
void | setCurvesList (QList< QwtPlotItem *> lst)
void | setGridOnTop (bool on=true, bool update=true)
void | setMajorTicksType (int axis, int type)
void | setMinorTicksType (int axis, int type)
void | setPageGeometry (const QRectF &r)
void | setScale (int axis, double start, double end, double step=0.0, int majorTicks=5, int minorTicks=5, int type=0, bool inverted=false, double left_break=-DBL_MAX, double right_break=DBL_MAX, int pos=50, double stepBeforeBreak=0.0, double stepAfterBreak=0.0, int minTicksBeforeBreak=4, int minTicksAfterBreak=4, bool log10AfterBreak=false, int breakWidth=4, bool breakDecoration=true)
void | setSynchronizedScaleDivisions (bool on)
void | setTickLength (int minLength, int majLength)
void | showAxisContextMenu (int axis)
void | showAxisDialog ()
void | showAxisTitleMenu ()
void | showGrid ()
| Convenience function enabling the grid for QwtScaleDraw::Left and Bottom Scales. More...
void | showGrid (int axis)
| Convenience function enabling the grid for a user defined axis. More...
void | showGrids ()
void | showMissingDataGap (bool on=true, bool update=true)
void | showScaleDialog ()
void | showTitleContextMenu ()
Spectrogram * | spectrogram (Matrix *m)
| Returns a pointer to the spectrogram which data source is matrix m (the pointer can be NULL) More...
int | speedModeMaxPoints ()
QList< LegendWidget * > | textsList ()
void | updateCurveLabels ()
void | updateCurveNames (const QString &oldName, const QString &newName, bool updateTableName=true)
void | updateDataCurves ()
void | updateLayout ()
| Adjust plot content to its current size. Must be reimplemented because the base implementation adds a mask causing an ugly drawing artefact. More...
void | updateOppositeScaleDiv (int axis)
void | updatePlot ()
void | updateScale ()
void | updateSecondaryAxis (int axis, bool changeFormat=false)
bool | validCurvesDataSize ()
| ~Graph ()
Customizing plot curves
void | setCurveStyle (int index, int s)
void | setCurveFullRange (int curveIndex)
void | setCurveLineColor (int curveIndex, int colorIndex)
void | setCurveLineColor (int curveIndex, QColor qColor)
void | setCurveLineStyle (int curveIndex, Qt::PenStyle style)
void | setCurveLineWidth (int curveIndex, double width)
void | setGrayScale ()
void | setIndexedColors ()
Error Bars
ErrorBarsCurve * | addErrorBars (const QString &xColName, const QString &yColName, Table *errTable, const QString &errColName, int type=1, double width=1, int cap=8, const QColor &color=QColor(Qt::black), bool through=true, bool minus=true, bool plus=true)
ErrorBarsCurve * | addErrorBars (const QString &yColName, Table *errTable, const QString &errColName, int type=1, double width=1, int cap=8, const QColor &color=QColor(Qt::black), bool through=true, bool minus=true, bool plus=true)
ErrorBarsCurve * | addErrorBars (DataCurve *c, Table *errTable, const QString &errColName, int type=1, double width=1, int cap=8, const QColor &color=QColor(Qt::black), bool through=true, bool minus=true, bool plus=true)
void | updateErrorBars (ErrorBarsCurve *er, bool xErr, double width, int cap, const QColor &c, bool plus, bool minus, bool through)
void | loadErrorBars (QList< ErrorBarsCurve *> errBars, QList< int > mcIndexes)
| Used when restoring project files. More...
DataCurve * | masterCurve (ErrorBarsCurve *er)
| Returns a valid master curve for the error bars curve. More...
DataCurve * | masterCurve (const QString &xColName, const QString &yColName)
| Returns a valid master curve for a plot association. More...
Event Handlers
bool | mousePressed (QEvent *)
void | contextMenuEvent (QContextMenuEvent *)
void | closeEvent (QCloseEvent *e)
bool | focusNextPrevChild (bool next)
Zoom
void | zoomed (const QwtDoubleRect &)
void | zoom (bool on)
void | zoomOut ()
bool | zoomOn ()
Texts
LegendWidget * | addText (LegendWidget *)
LegendWidget * | insertText (const QStringList &list, int fileVersion)
| Used when opening a project file. More...
LegendWidget * | addTimeStamp ()
void | removeLegendItem (int index)
void | insertLegend (const QStringList &lst, int fileVersion)
LegendWidget * | newLegend (const QString &text=QString())
QString | legendText (bool layerSpec=false, int fromIndex=0)
| Creates a new legend text using the curves titles. More...
Obsolete functions provided to keep existing Python scripts working
LegendWidget * | legend ()
void | setLegend (const QString &)
void | removeLegend ()
Line Markers
ArrowMarker * | addArrow (ArrowMarker *mrk)
void | remove (ArrowMarker *arrow)
void | addArrow (QStringList list, int fileVersion)
| Used when opening a project file. More...
QList< ArrowMarker * > | arrowsList ()
int | numArrows ()
void | drawLine (bool on, bool arrow=false)
| Draws a line/arrow depending on the value of "arrow". More...
bool | drawArrow ()
bool | drawLineActive ()
bool | arrowMarkerSelected ()
Image Markers
ImageWidget * | addImage (ImageWidget *i)
ImageWidget * | addImage (const QString &fileName)
ImageWidget * | addImage (const QImage &image)
void | insertImageMarker (const QStringList &lst, int fileVersion)
bool | imageMarkerSelected ()
Common to all Markers
void | removeMarker ()
void | updateMarkersBoundingRect (bool rescaleEvent=true)
| Keep the markers on screen each time the scales are modified by adding/removing curves. More...
void | setSelectedArrow (ArrowMarker *mrk, bool add=false)
| Set the selected arrow. More...
ArrowMarker * | selectedArrow ()
bool | markerSelected ()
void | deselectMarker ()
| Reset any selection states on markers. More...
Axes
QwtScaleWidget * | currentScale ()
QwtScaleWidget * | selectedScale ()
QRect | axisTitleRect (const QwtScaleWidget *scale)
bool | axisTitleSelected ()
ScaleDraw::ScaleType | axisType (int axis)
void | setXAxisTitle (const QString &text)
void | setYAxisTitle (const QString &text)
void | setRightAxisTitle (const QString &text)
void | setTopAxisTitle (const QString &text)
QString | axisTitleString (int axis)
void | setAxisTitleString (int axis, const QString &text)
void | setAxisTitle (int axis, const QString &text)
void | updateAxesTitles ()
void | updateAxisTitle (int axis)
void | setScaleTitle (int axis, const QString &text)
| TODO: eliminate this function in version 0.9.1 (used only when restoring project files) More...
QFont | axisTitleFont (int axis)
void | setAxisTitleFont (int axis, const QFont &fnt)
void | setAxisFont (int axis, const QFont &fnt)
void | initFonts (const QFont &scaleTitleFnt, const QFont &numbersFnt)
QColor | axisTitleColor (int axis)
void | setAxisTitleColor (int axis, const QColor &c)
int | axisTitleAlignment (int axis)
void | setAxisTitleAlignment (int axis, int align)
int | axisTitleDistance (int axis)
void | setAxisTitleDistance (int axis, int dist)
QColor | axisColor (int axis)
void | setAxisColor (int axis, const QColor &color)
QColor | axisLabelsColor (int axis)
void | setAxisLabelsColor (int axis, const QColor &color)

void

showAxis (int axis, int type, const QString &formatInfo, Table *table, bool axisOn, int majTicksType, int minTicksType, bool labelsOn, const QColor &c, int format, int prec, int rotation, int baselineDist, const QString &formula, const QColor &labelsColor, int spacing=4, bool backbone=true, const ScaleDraw::ShowTicksPolicy &showTicks=ScaleDraw::ShowAll, const QString &prefix=QString::null, const QString &suffix=QString::null)

void | enableAxis (int axis, bool on=true)
void | enableAxisLabels (int axis, bool on=true)
int | labelsRotation (int axis)
void | setAxisLabelRotation (int axis, int rotation)
void | loadAxesLinewidth (int width)
| used when opening a project file More...
void | drawAxesBackbones (bool yes)
bool | axesBackbones ()
void | loadAxesOptions (const QStringList &lst)
| used when opening a project file More...
void | setAxisMargin (int axis, int margin)
void | setMajorTicksType (const QList< int > &lst)
void | setMajorTicksType (const QStringList &lst)
void | setMinorTicksType (const QList< int > &lst)
void | setMinorTicksType (const QStringList &lst)
void | setAxisTicksLength (int axis, int majTicksType, int minTicksType, int minLength, int majLength)
void | setTicksLength (int minLength, int majLength)
void | changeTicksLength (int minLength, int majLength)
void | setLabelsNumericFormat (const QStringList &l)
| Used for restoring project files. More...
void | setLabelsNumericFormat (int axis, int format, int prec=6, const QString &formula=QString())
void | setLabelsDateTimeFormat (int axis, int type, const QString &formatInfo)
void | setLabelsDayFormat (int axis, int format)
void | setLabelsMonthFormat (int axis, int format)
void | recoverObsoleteDateTimeScale (int axis, int type, const QString &origin, const QString &format)
QString | axisFormatInfo (int axis)
void | setLabelsTextFormat (int axis, int type, const QString &name, const QStringList &lst)
void | setLabelsTextFormat (int axis, int type, const QString &labelsColName, Table *table)
QString | axisFormula (int axis)
void | setAxisFormula (int axis, const QString &)
Canvas Frame
void | setCanvasFrame (int width=1, const QColor &color=QColor(Qt::black))
QColor | canvasFrameColor ()
int | canvasFrameWidth ()
Canvas Image Background
QString | canvasBackgroundFileName ()
void | setCanvasBackgroundImage (const QString &fn=QString(), bool update=true)
QPixmap | backgroundPixmap ()
Plot Title
void | setTitleFont (const QFont &fnt)
void | setTitleColor (const QColor &c)
void | setTitleAlignment (int align)
bool | titleSelected ()
void | selectTitle (bool select=true)
void | clearTitle ()
| Sets the title to an "almost empty" string: " ", thus keeping the QwtText object visible. More...
void | removeTitle ()
| Sets title to an empty string and hides the text label. More...
void | initTitle (bool on, const QFont &fnt)
Border and background
void | setFrame (int width=1, const QColor &color=Qt::black)
void | setBackgroundColor (const QColor &color)
User-defined Functions
void | modifyFunctionCurve (int curve, int type, const QStringList &formulas, const QString &var, double start, double end, int points, const QMap< QString, double > &constants)
FunctionCurve * | addFunction (const QStringList &formulas, double start, double end, int points=100, const QString &var="x", int type=0, const QString &title=QString::null)
FunctionCurve * | insertFunctionCurve (const QString &formula, int points, int fileVersion)
| Used when reading from a project file with version < 0.9.5. More...
QString | generateFunctionName (const QString &name=tr("F"))
| Returns an unique function name. More...
Vector Curves
VectorCurve * | plotVectors (Table *w, const QStringList &colList, int style, int startRow=0, int endRow=-1)
void | updateVectorsLayout (int curve, const QColor &color, double width, int arrowLength, int arrowAngle, bool filled, int position, const QString &xEndColName=QString(), const QString &yEndColName=QString())
Box Plots
BoxCurve * | openBoxDiagram (Table *w, const QStringList &l, int fileVersion)
void | plotBox (Table *w, const QStringList &names, int startRow=0, int endRow=-1)
BoxCurve * | boxCurve (int index)
Resizing
void | resizeEvent (QResizeEvent *e)
void | scaleFonts (double factor)
Waterfall
bool | isWaterfallPlot ()
int | waterfallXOffset ()
int | waterfallYOffset ()
void | setWaterfallOffset (int x, int y, bool update=false)
void | setWaterfallXOffset (int)
void | setWaterfallYOffset (int)
void | setWaterfallSideLines (bool on=true)
void | setWaterfallFillColor (const QColor &)
void | updateWaterfallFill (bool on)

## Static Public Member Functions

static Qt::PenStyle | getPenStyle (const QString &s)
static Qt::PenStyle | getPenStyle (int style)
static int | obsoleteSymbolStyle (int type)
static QString | penStyleName (Qt::PenStyle style)
static void | showPlotErrorMessage (QWidget *parent, const QStringList &emptyColumns)

## Private Slots

void | selectorDeleted ()

## Private Member Functions

QwtDoubleInterval | axisBoundingInterval (int axis)
| Finds bounding interval of the plot data. More...
void | deselectCurves ()
void | dragEnterEvent (QDragEnterEvent *)
void | drawBreak (QPainter *painter, const QRect &rect, const QwtScaleMap &map, int axis) const
void | drawInwardTicks (QPainter *painter, const QRect &rect, const QwtScaleMap &map, int axis, bool min, bool maj) const
virtual void | drawItems (QPainter *painter, const QRect &rect, const QwtScaleMap map[axisCnt], const QwtPlotPrintFilter &pfilter) const
void | dropEvent (QDropEvent *)
QString | parseAxisTitle (int axis)
void | printCanvas (QPainter *painter, const QRect &canvasRect, const QwtScaleMap map[axisCnt], const QwtPlotPrintFilter &pfilter) const
void | printFrame (QPainter *painter, const QRect &rect) const
virtual void | printScale (QPainter *, int axisId, int startDist, int endDist, int baseDist, const QRect &) const
| Paint a scale into a given rectangle. Paint the scale into a given rectangle (modified code from Qwt). More...
void | showEvent (QShowEvent *event)
QList< FrameWidget * > | stackingOrderEnrichmentsList () const

## Private Attributes

bool | autoScaleFonts
CanvasPicker * | cp
FrameWidget * | d_active_enrichment
| Pointer to the currently selected text/legend. More...
PlotToolInterface * | d_active_tool
| The currently active tool, or NULL for default (pointer). More...
bool | d_antialiasing
| Render hint for plot items. More...
bool | d_auto_scale
| Flag indicating if the axes limits should be changed in order to show all data each time a curva data change occurs. More...
AxisTitlePolicy | d_axis_title_policy
QStringList | d_axis_titles
QString | d_canvas_bkg_path
QPixmap | d_canvas_bkg_pix
QList< QwtPlotItem * > | d_curves
| List storing pointers to the curves on the plot. More...
bool | d_disable_curve_antialiasing
double | d_Douglas_Peuker_tolerance
QList< FrameWidget * > | d_enrichments
QList< QwtPlotCurve * > | d_fit_curves
| List storing pointers to the curves resulting after a fit session, in case the user wants to delete them later on. More...
Grid * | d_grid
| Pointer to the grid. More...
bool | d_grid_on_top
| Flag telling if the grid should be drawn on top of data. More...
QPointer< ImageProfilesTool > | d_image_profiles_tool
bool | d_is_printing
| Flag telling if we are performing a print operation. More...
QList< ArrowMarker * > | d_lines
| Arrows/lines on plot. More...
QwtPlotMagnifier * | d_magnifier
int | d_maj_tick_length
QPointer< SelectionMoveResizer > | d_markers_selector
| The markers selected for move/resize operations or NULL if none are selected. More...
int | d_max_antialising_size
int | d_min_tick_length
| Axes tick lengths. More...
bool | d_missing_data_gap
| Flag telling if the curves line should be connected across missing data. More...
QRectF | d_page_rect
QwtPlotPanner * | d_panner
PlotToolInterface * | d_peak_fit_tool
QPointer< RangeSelectorTool > | d_range_selector
| The current curve selection, or NULL if none is active. More...
ArrowMarker * | d_selected_arrow
| Pointer to the currently selected line/image. More...
int | d_speed_mode_points
bool | d_synchronize_scales
QVector< double > | d_user_step
| Stores the step the user specified for the four scale. If step = 0.0, the step will be calculated automatically by the Qwt scale engine. More...
int | d_waterfall_offset_x
int | d_waterfall_offset_y
QwtPlotZoomer * | d_zoomer [2]
bool | drawArrowOn
bool | drawAxesBackbone
bool | drawLineOn
ScalePicker * | scalePicker
TitlePicker * | titlePicker

## Output: Copy/Export/Print

void | print ()
void | copyImage ()
QPixmap | graphPixmap (const QSize &size=QSize(), double scaleFontsFactor=1.0, bool transparent=false)
void | exportToFile (const QString &fileName)
| Provided for convenience in scripts. More...
void | exportSVG (const QString &fname, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportEMF (const QString &fname, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportTeX (const QString &fname, bool color=true, bool escapeStrings=true, bool fontSizes=true, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportVector (const QString &fileName, int res=0, bool color=true, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportVector (QPrinter *printer, int res=0, bool color=true, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0)
void | exportImage (const QString &fileName, int quality=100, bool transparent=false, int dpi=0, const QSizeF &customSize=QSizeF(), int unit=FrameWidget::Pixel, double fontsFactor=1.0, int compression=0)
void | draw (QPaintDevice *, const QSize &size, double fontsFactor=1.0)
static QSize | customPrintSize (const QSizeF &customSize, int unit, int dpi)

## Curves Layout

CurveLayout | initCurveLayout (int style, int curves=0, bool guessLayout=true)
void | updateCurveLayout (PlotCurve *c, const CurveLayout *cL)
void | guessUniqueCurveLayout (int &colorIndex, int &symbolIndex)
| Tries to guess not already used curve color and symbol style. More...
static CurveLayout | initCurveLayout ()

## Saving/Restoring to/from file

QString | saveToString (bool saveAsTemplate=false)
QString | saveScale ()
QString | saveScaleTitles ()
QString | saveFonts ()
QString | saveMarkers ()
QString | saveCurveLayout (int index)
QString | saveAxesTitleColors ()
QString | saveAxesColors ()
QString | saveEnabledAxes ()
QString | saveCanvas ()
QString | saveTitle ()
QString | saveAxesTitleAlignement ()
QString | saveEnabledTickLabels ()
QString | saveTicksType ()
QString | saveCurves ()
QString | saveLabelsFormat ()
QString | saveLabelsRotation ()
QString | saveAxesLabelsType ()
QString | saveAxesBaseline ()
QString | saveAxesFormulas ()
QString | saveAxesBackbones ()
QString | saveTickLabelsSpace ()
QString | saveLabelsPrefixAndSuffix ()
QString | saveBackgroundImage ()
void | restoreBackgroundImage (const QStringList &lst)
void | restoreSymbolImage (int index, const QStringList &lst)
static QString | rgbaName (const QColor &color)

## Detailed Description

A 2D-plotting widget.

Graphs are managed by a MultiLayer, where they are sometimes referred to as "graphs" and sometimes as "layers". Other parts of the code also call them "plots", regardless of the fact that there's also a class Plot. Within the user interface, they are quite consistently called "layers".

Each graph owns a Plot called #d_plot, which handles parts of the curve, axis and marker management (similarly to QwtPlot), as well as the pickers d_zoomer (a QwtPlotZoomer), titlePicker (a TitlePicker), scalePicker (a ScalePicker) and cp (a CanvasPicker), which handle various parts of the user interaction.

Graph contains support for various curve types (see CurveType), some of them relying on Qtiplot-specific QwtPlotCurve subclasses for parts of the functionality.

Note that some of Graph's methods are implemented in analysis.cpp.

# Future Plans

Merge with Plot and CanvasPicker. Think about merging in TitlePicker and ScalePicker. On the other hand, things like range selection, peak selection or (re)moving data points could be split out into tool classes like QwtPlotZoomer or SelectionMoveResizer.

What definitely should be split out are plot types like histograms and pie charts (TODO: which others?). We need a generic framework for this in any case so that new plot types can be implemented in plugins, and Graph could do with a little diet. Especially after merging in Plot and CanvasPicker. [ Framework needs to support plug-ins; assigned to ion ]

## Member Enumeration Documentation

## Axis

enum Graph::Axis

Enumerator
Left |
Right |
Bottom |
Top |

## AxisTitlePolicy

enum Graph::AxisTitlePolicy

Enumerator
Default |
ColName |
ColComment |
NameAndComment |

## CurveType

enum Graph::CurveType

Enumerator
Line |
Scatter |
LineSymbols |
VerticalBars |
Area |
Pie |
VerticalDropLines |
Spline |
HorizontalSteps |
Histogram |
HorizontalBars |
VectXYXY |
ErrorBars |
Box |
VectXYAM |
VerticalSteps |
ColorMap |
GrayScale |
Contour |
Function |
ImagePlot |
StackBar |
StackColumn |

## LegendDisplayMode

enum Graph::LegendDisplayMode

Enumerator
Auto |
ColumnName |
ColumnComment |
TableName |
TableLegend |
DataSetName |

## MarkerType

enum Graph::MarkerType

Enumerator
None |
Text |
Arrow |
Image |

## Scale

enum Graph::Scale

Enumerator
Linear |
Log10 |
Ln |
Log2 |
Reciprocal |
Probability |
Logit |

## Ticks

enum Graph::Ticks

Enumerator
NoTicks |
Out |
InOut |
In |

## Constructor & Destructor Documentation

## Graph()

Graph::Graph | ( | int | x = `0`,
|  | int | y = `0`,
|  | int | width = `500`,
|  | int | height = `400`,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | f = `0`
| ) |  |

References activateGraph(), autoScaleFonts, axisDblClicked(), ColComment, cp, d_active_enrichment, d_active_tool, d_antialiasing, d_auto_scale, d_axis_title_policy, d_axis_titles, d_canvas_bkg_path, d_canvas_bkg_pix, d_Douglas_Peuker_tolerance, d_grid, d_grid_on_top, d_image_profiles_tool, d_is_printing, d_magnifier, d_maj_tick_length, d_min_tick_length, d_missing_data_gap, d_page_rect, d_panner, d_peak_fit_tool, d_range_selector, d_selected_arrow, d_speed_mode_points, d_synchronize_scales, d_user_step, d_waterfall_offset_x, d_waterfall_offset_y, d_zoomer, deselectMarker(), drawArrowOn, drawAxesBackbone, drawLineOn, enableTextEditor(), modifiedGraph(), removeTitle(), scalePicker, selectTitle(), showAxisContextMenu(), showAxisDialog(), showAxisTitleMenu(), showMarkerPopupMenu(), showPlotDialog(), showTitleContextMenu(), titlePicker, updateAxesTitles(), viewLineDialog(), zoom(), and zoomed().

## ~Graph()

Graph::~Graph | ( |  | ) |

References cp, d_active_tool, d_enrichments, d_magnifier, d_markers_selector, d_panner, d_peak_fit_tool, d_range_selector, disableImageProfilesTool(), scalePicker, and titlePicker.

## Member Function Documentation

## activateGraph()

void Graph::activateGraph | ( |  | ) |

References selectedGraph().

Referenced by CanvasPicker::eventFilter(), fitCurvesList(), Graph(), FrameWidget::mousePressEvent(), and ScalePicker::mouseRightClicked().

## activeEnrichment()

FrameWidget* Graph::activeEnrichment | ( |  | ) |

inline

References d_active_enrichment.

Referenced by ApplicationWindow::copyMarker(), ApplicationWindow::intensityTable(), LineProfileTool::LineProfileTool(), ApplicationWindow::showEnrichementDialog(), and ApplicationWindow::showMarkerPopupMenu().

## activeText()

LegendWidget * Graph::activeText | ( |  | ) |

References d_active_enrichment.

Referenced by activeTool(), ApplicationWindow::enableTextEditor(), and TextEditor::TextEditor().

## activeTool()

PlotToolInterface* Graph::activeTool | ( |  | ) | const

inline

Return the active tool, or NULL if none is active.

References activeText(), d_active_tool, hasActiveTool(), and textsList().

Referenced by ApplicationWindow::clearSelection(), ApplicationWindow::copySelection(), ApplicationWindow::custom2DPlotTools(), ApplicationWindow::cutSelection(), CanvasPicker::eventFilter(), SubtractLineTool::finalize(), MultiPeakFitTool::finalize(), ApplicationWindow::pasteSelection(), MultiLayer::removeLayer(), MultiLayer::setNumLayers(), ApplicationWindow::showCurveContextMenu(), and ApplicationWindow::showCurveWorksheet().

## add()

FrameWidget * Graph::add | ( | FrameWidget * | fw,
|  | bool | copy = `true`
| ) |  |

References FrameWidget::attachPolicy(), d_active_enrichment, d_enrichments, FrameWidget::isOnTop(), FrameWidget::setAttachPolicy(), and FrameWidget::setOnTop().

Referenced by AddWidgetTool::addEllipse(), AddWidgetTool::addEquation(), AddWidgetTool::addRectangle(), AddWidgetTool::addText(), copyEnrichments(), ApplicationWindow::pasteSelection(), PieLabel::PieLabel(), RectangleWidget::restore(), EllipseWidget::restore(), LegendWidget::restore(), setActiveText(), setCanvasSize(), and ApplicationWindow::zoomRectanglePlot().

## addArrow() [1/2]

ArrowMarker * Graph::addArrow | ( | ArrowMarker * | mrk | ) |

References ArrowMarker::attachPolicy(), ArrowMarker::color(), d_lines, ArrowMarker::drawEndArrow(), ArrowMarker::drawStartArrow(), ArrowMarker::endPointCoord(), ArrowMarker::fillArrowHead(), ArrowMarker::filledArrowHead(), ArrowMarker::hasEndArrow(), ArrowMarker::hasStartArrow(), ArrowMarker::headAngle(), ArrowMarker::headLength(), insertMarker(), ArrowMarker::setAttachPolicy(), ArrowMarker::setBoundingRect(), ArrowMarker::setColor(), ArrowMarker::setHeadAngle(), ArrowMarker::setHeadLength(), ArrowMarker::setStyle(), ArrowMarker::setWidth(), ArrowMarker::startPointCoord(), ArrowMarker::style(), and ArrowMarker::width().

Referenced by copyEnrichments(), CanvasPicker::eventFilter(), ApplicationWindow::openGraph(), ApplicationWindow::pasteSelection(), and setAxisStep().

## addArrow() [2/2]

void Graph::addArrow | ( | QStringList | list,
|  | int | fileVersion
| ) |  |

Used when opening a project file.

References d_lines, ArrowMarker::drawEndArrow(), ArrowMarker::drawStartArrow(), ArrowMarker::fillArrowHead(), getPenStyle(), insertMarker(), ArrowMarker::setAttachPolicy(), ArrowMarker::setBoundingRect(), ArrowMarker::setColor(), ArrowMarker::setEndPoint(), ArrowMarker::setHeadAngle(), ArrowMarker::setHeadLength(), ArrowMarker::setStartPoint(), ArrowMarker::setStyle(), and ArrowMarker::setWidth().

## addCurves

bool Graph::addCurves | ( | Table * | w,
|  | const QStringList & | names,
|  | int | style = `0`,
|  | double | lWidth = `1`,
|  | int | sSize = `3`,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

slot

References addErrorBars(), addLegendItem(), Box, Table::colIndex(), Table::colName(), Table::colPlotDesignation(), Table::colX(), Table::colY(), d_auto_scale, d_zoomer, ErrorBars, Histogram, ErrorBarsCurve::Horizontal, initCurveLayout(), insertCurve(), Table::Label, QwtHistogram::loadData(), CurveLayout::lWidth, ErrorBarsCurve::masterCurve(), masterCurve(), Pie, plotBox(), plotPie(), plotVectors(), ErrorBarsCurve::setColor(), DataCurve::setLabelsColumnName(), CurveLayout::sSize, PlotCurve::type(), updateAxesTitles(), updateCurveLayout(), updateSecondaryAxis(), VectXYAM, VectXYXY, Table::xErr, and Table::yErr.

Referenced by ImageProfilesTool::connectPlotLayers(), dropEvent(), ApplicationWindow::multilayerPlot(), setPageGeometry(), and ApplicationWindow::waterfallPlot().

## addErrorBars() [1/3]

ErrorBarsCurve * Graph::addErrorBars | ( | const QString & | xColName,
|  | const QString & | yColName,
|  | Table * | errTable,
|  | const QString & | errColName,
|  | int | type = `1`,
|  | double | width = `1`,
|  | int | cap = `8`,
|  | const QColor & | color = `QColor(Qt::black)`,
|  | bool | through = `true`,
|  | bool | minus = `true`,
|  | bool | plus = `true`
| ) |  |

References masterCurve().

Referenced by ErrDialog::add(), addCurves(), addErrorBars(), curve(), ApplicationWindow::openGraph(), and PlotWizard::plot2D().

## addErrorBars() [2/3]

ErrorBarsCurve * Graph::addErrorBars | ( | const QString & | yColName,
|  | Table * | errTable,
|  | const QString & | errColName,
|  | int | type = `1`,
|  | double | width = `1`,
|  | int | cap = `8`,
|  | const QColor & | color = `QColor(Qt::black)`,
|  | bool | through = `true`,
|  | bool | minus = `true`,
|  | bool | plus = `true`
| ) |  |

References addErrorBars(), d_curves, ErrorBars, and Function.

## addErrorBars() [3/3]

ErrorBarsCurve * Graph::addErrorBars | ( | DataCurve * | c,
|  | Table * | errTable,
|  | const QString & | errColName,
|  | int | type = `1`,
|  | double | width = `1`,
|  | int | cap = `8`,
|  | const QColor & | color = `QColor(Qt::black)`,
|  | bool | through = `true`,
|  | bool | minus = `true`,
|  | bool | plus = `true`
| ) |  |

References ErrorBarsCurve::drawMinusSide(), ErrorBarsCurve::drawPlusSide(), ErrorBarsCurve::drawThroughSymbol(), insertCurve(), ErrorBarsCurve::setCapLength(), ErrorBarsCurve::setColor(), ErrorBarsCurve::setMasterCurve(), ErrorBarsCurve::setWidth(), and updatePlot().

## addFitCurve()

void Graph::addFitCurve | ( | QwtPlotCurve * | c | ) |

References d_fit_curves.

Referenced by MultiPeakFit::generateFitCurve(), Fit::generateFitCurve(), Fit::insertFitFunctionCurve(), MultiPeakFit::insertPeakFunctionCurve(), and rangeSelectorTool().

## addFunction()

FunctionCurve * Graph::addFunction | ( | const QStringList & | formulas,
|  | double | start,
|  | double | end,
|  | int | points = `100`,
|  | const QString & | var = `"x"`,
|  | int | type = `0`,
|  | const QString & | title = `QString::null`
| ) |  |

References addLegendItem(), ColorBox::defaultColor(), generateFunctionName(), guessUniqueCurveLayout(), insertCurve(), FunctionCurve::loadData(), modifiedGraph(), FunctionCurve::setFormulas(), FunctionCurve::setRange(), FunctionCurve::setVariable(), and updatePlot().

Referenced by FunctionDialog::acceptFunction(), FunctionDialog::acceptParametric(), FunctionDialog::acceptPolar(), BaselineDialog::createBaseline(), fitCurvesList(), insertFunctionCurve(), ApplicationWindow::newFunctionPlot(), and Integration::output().

## addHistogram()

QwtHistogram * Graph::addHistogram | ( | Matrix * | m | ) |

Add a matrix histogram to the graph.

References addLegendItem(), insertCurve(), QwtHistogram::loadData(), and updatePlot().

Referenced by CurvesDialog::addCurveFromMatrix(), hasGridOnTop(), and ApplicationWindow::plotHistogram().

## addImage() [1/3]

ImageWidget * Graph::addImage | ( | ImageWidget * | i | ) |

References FrameWidget::bottom(), d_enrichments, ImageWidget::fileName(), FrameWidget::right(), FrameWidget::setCoordinates(), FrameWidget::xValue(), and FrameWidget::yValue().

Referenced by ApplicationWindow::addImage(), drawLineActive(), ApplicationWindow::dropEvent(), ApplicationWindow::loadImage(), and ImageWidget::restore().

## addImage() [2/3]

ImageWidget * Graph::addImage | ( | const QString & | fileName | ) |

References d_enrichments, and modifiedGraph().

## addImage() [3/3]

ImageWidget * Graph::addImage | ( | const QImage & | image | ) |

References d_enrichments, and modifiedGraph().

## addLegendItem()

void Graph::addLegendItem | ( |  | ) |

References d_curves, d_enrichments, LegendWidget::isAutoUpdateEnabled(), legendText(), LegendWidget::setText(), and LegendWidget::text().

Referenced by CurvesDialog::addCurveFromTable(), addCurves(), addFunction(), addHistogram(), insertCurve(), insertPlotItem(), plotVectors(), and setCanvasSize().

## addTexFormula()

TexWidget * Graph::addTexFormula | ( | const QString & | s,
|  | const QPixmap & | pix
| ) |  |

References d_enrichments, and modifiedGraph().

Referenced by TexWidget::restore(), and setCanvasSize().

## addText()

LegendWidget * Graph::addText | ( | LegendWidget * | t | ) |

References LegendWidget::clone(), d_active_enrichment, and d_enrichments.

Referenced by setAxisStep().

## addTimeStamp()

LegendWidget * Graph::addTimeStamp | ( |  | ) |

References modifiedGraph(), FrameWidget::move(), newLegend(), and LegendWidget::setAutoUpdate().

Referenced by ApplicationWindow::addTimeStamp(), and setAxisStep().

## analysableCurvesList()

QStringList Graph::analysableCurvesList | ( |  | ) |

Returns the names of all the curves suitable for data analysis, as a string list. The list excludes error bars and spectrograms.

References d_curves, DataCurve::endRow(), ErrorBars, Function, DataCurve::startRow(), and PlotCurve::type().

Referenced by FitDialog::accept(), ApplicationWindow::addErrorBars(), ApplicationWindow::analysis(), curve(), FitDialog::deleteFitCurves(), ExpDecayDialog::fit(), PolynomFitDialog::fit(), IntegrationDialog::integrateCurve(), InterpolationDialog::interpolate(), SubtractDataDialog::setGraph(), SmoothCurveDialog::setGraph(), FilterDialog::setGraph(), InterpolationDialog::setGraph(), ExpDecayDialog::setGraph(), BaselineDialog::setGraph(), PolynomFitDialog::setGraph(), FFTDialog::setGraph(), IntegrationDialog::setGraph(), FitDialog::setGraph(), ApplicationWindow::showDataSetDialog(), and BaselineDialog::updateGraphCurves().

## antialiasing()

bool Graph::antialiasing | ( |  | ) |

inline

References d_antialiasing, disableCurveAntialiasing(), isCurveAntialiasingEnabled(), and setAntialiasing().

Referenced by copy(), EllipseWidget::drawFrame(), LegendWidget::drawText(), LegendWidget::drawVector(), PlotDialog::setActiveLayer(), and FitDialog::updatePreview().

## arrowMarkerSelected()

bool Graph::arrowMarkerSelected | ( |  | ) |

References d_lines, and d_selected_arrow.

Referenced by ApplicationWindow::copyMarker(), drawLineActive(), and ApplicationWindow::showMarkerPopupMenu().

## arrowsList()

QList<ArrowMarker *> Graph::arrowsList | ( |  | ) |

inline

References d_lines.

Referenced by copyEnrichments(), CanvasPicker::eventFilter(), and CanvasPicker::selectMarker().

## autoscaleFonts()

bool Graph::autoscaleFonts | ( |  | ) |

inline

References autoScaleFonts.

Referenced by MultiLayer::arrangeLayers(), MultiLayer::copy(), copy(), MultiLayer::resizeLayers(), PlotDialog::setActiveLayer(), and MultiLayer::setEqualSizedLayers().

## axesBackbones()

bool Graph::axesBackbones | ( |  | ) |

inline

References axisFormatInfo(), axisFormula(), canvasFrameColor(), canvasFrameWidth(), changeTicksLength(), drawAxesBackbone, loadAxesOptions(), recoverObsoleteDateTimeScale(), setAxisFormula(), setAxisMargin(), setAxisTicksLength(), setCanvasFrame(), setLabelsDateTimeFormat(), setLabelsDayFormat(), setLabelsMonthFormat(), setLabelsNumericFormat(), setLabelsTextFormat(), setMajorTicksType(), setMinorTicksType(), and setTicksLength().

Referenced by AxesDialog::setGraph().

## axesLinewidth()

int Graph::axesLinewidth | ( |  | ) | const

Referenced by copy(), drawBreak(), Grid::enableZeroLineX(), Grid::enableZeroLineY(), saveToString(), setAxesLinewidth(), setCurvesList(), and AxesDialog::setGraph().

## axisBoundingInterval()

QwtDoubleInterval Graph::axisBoundingInterval | ( | int | axis | ) |

private

Finds bounding interval of the plot data.

Referenced by setScale(), and waterfallYOffset().

## axisColor()

QColor Graph::axisColor | ( | int | axis | ) |

Referenced by copyScaleWidget(), selectedArrow(), showAxis(), and AxesDialog::updateAxisColor().

## axisDblClicked

void Graph::axisDblClicked | ( | int |  | ) |

signal

Referenced by Graph(), showScaleDialog(), and waterfallYOffset().

## axisDivChanged

void Graph::axisDivChanged | ( | Graph * | ,
|  | int |
| ) |  |

signal

Referenced by setScale(), waterfallYOffset(), and zoomed().

## axisFormatInfo()

QString Graph::axisFormatInfo | ( | int | axis | ) |

Referenced by axesBackbones(), AxesDialog::setAxisType(), and AxesDialog::showAxisFormatOptions().

## axisFormula()

QString Graph::axisFormula | ( | int | axis | ) |

References ScaleDraw::formula().

Referenced by axesBackbones(), AxesDialog::showAxisFormula(), and AxesDialog::updateLabelsFormat().

## axisLabelFormat() [1/2]

void Graph::axisLabelFormat | ( | int | axis,
|  | char & | f,
|  | int & | prec
| ) |  | const

Returns
  the number format for the major scale labels of a specified axis

Parameters

  axis | axis index

Return values

  f | format character
  prec | precision

References ScaleDraw::labelFormat().

Referenced by copyScaleDraw(), saveLabelsFormat(), setCurvesList(), AxesDialog::setLabelsNumericFormat(), showAxis(), AxesDialog::showAxisFormatOptions(), and AxesDialog::updateLabelsFormat().

## axisLabelFormat() [2/2]

int Graph::axisLabelFormat | ( | int | axis | ) |

References ScaleDraw::labelNumericFormat().

## axisLabelPrecision()

int Graph::axisLabelPrecision | ( | int | axis | ) |

References ScaleDraw::labelNumericPrecision().

Referenced by copyScaleDraw(), saveLabelsFormat(), setCurvesList(), AxesDialog::setLabelsNumericFormat(), showAxis(), and AxesDialog::updateLabelsFormat().

## axisLabelsColor()

QColor Graph::axisLabelsColor | ( | int | axis | ) |

Referenced by copyScaleWidget(), selectedArrow(), showAxis(), and AxesDialog::updateAxisColor().

## axisStep()

double Graph::axisStep | ( | int | axis | ) |

inline

References d_user_step.

Referenced by copyScaleDraw(), MultiLayer::updateLayerAxes(), and AxesDialog::updateScale().

## axisTitleAlignment()

int Graph::axisTitleAlignment | ( | int | axis | ) |

Referenced by selectedArrow().

## axisTitleColor()

QColor Graph::axisTitleColor | ( | int | axis | ) |

Referenced by selectedArrow(), and AxesDialog::updateAxisColor().

## axisTitleDistance()

int Graph::axisTitleDistance | ( | int | axis | ) |

Referenced by selectedArrow(), and AxesDialog::updateTitleBox().

## axisTitleFont()

QFont Graph::axisTitleFont | ( | int | axis | ) |

Referenced by AxesDialog::customAxisLabelFont(), and selectedArrow().

## axisTitlePolicy()

AxisTitlePolicy Graph::axisTitlePolicy | ( |  | ) |

inline

References d_axis_title_policy.

Referenced by copy().

## axisTitleRect()

QRect Graph::axisTitleRect | ( | const QwtScaleWidget * | scale | ) |

References scalePicker, and ScalePicker::titleRect().

Referenced by selectedArrow(), and TextEditor::TextEditor().

## axisTitleSelected()

bool Graph::axisTitleSelected | ( |  | ) |

References scalePicker, and ScalePicker::titleSelected().

Referenced by ApplicationWindow::clearSelection(), and selectedArrow().

## axisTitleString()

QString Graph::axisTitleString | ( | int | axis | ) |

References d_axis_titles.

Referenced by copyScaleWidget(), saveScaleTitles(), selectedArrow(), TextDialog::setGraph(), TextEditor::TextEditor(), AxesDialog::updatePlot(), and AxesDialog::updateTitleBox().

## axisType()

ScaleDraw::ScaleType Graph::axisType | ( | int | axis | ) |

References ScaleDraw::Numeric.

Referenced by ApplicationWindow::openGraph(), selectedArrow(), AxesDialog::setAxisType(), AxesDialog::updatePlot(), and AxesDialog::updateScale().

## backgroundPixmap()

QPixmap Graph::backgroundPixmap | ( |  | ) |

inline

References clearTitle(), d_canvas_bkg_pix, disableImageProfilesTool(), disableTools(), initTitle(), removeTitle(), selectTitle(), setTitleAlignment(), setTitleColor(), setTitleFont(), and titleSelected().

Referenced by PlotDialog::resizeLayerToFitImage(), and PlotDialog::setActiveLayer().

## boundingRect()

QRect Graph::boundingRect | ( |  | ) |

References d_enrichments.

Referenced by MultiLayer::canvasChildrenRect(), draw(), exportSVG(), exportTeX(), exportVector(), graphPixmap(), print(), and setCanvasSize().

## boxCurve()

BoxCurve * Graph::boxCurve | ( | int | index | ) |

References Box, dataCurve(), and PlotCurve::type().

Referenced by fitCurvesList().

## canvasBackgroundFileName()

QString Graph::canvasBackgroundFileName | ( |  | ) |

inline

References d_canvas_bkg_path, and setCanvasBackgroundImage().

Referenced by PlotDialog::chooseBackgroundImageFile(), copy(), and PlotDialog::setActiveLayer().

## canvasFrameColor()

QColor Graph::canvasFrameColor | ( |  | ) |

Referenced by axesBackbones(), copy(), saveCanvas(), PlotDialog::setActiveLayer(), and AxesDialog::setGraph().

## canvasFrameWidth()

int Graph::canvasFrameWidth | ( |  | ) |

Referenced by axesBackbones(), copy(), Grid::drawLines(), PlotDialog::setActiveLayer(), and AxesDialog::setGraph().

## changeCurveIndex()

void Graph::changeCurveIndex | ( | int | fromIndex,
|  | int | toIndex
| ) |  |

References d_curves, and modifiedGraph().

Referenced by magnifyTool(), CurvesDialog::shiftCurveBy(), and PlotDialog::shiftCurveBy().

## changeTicksLength()

void Graph::changeTicksLength | ( | int | minLength,
|  | int | majLength
| ) |  |

References enableAxis(), majorTickLength(), minorTickLength(), modifiedGraph(), and setTicksLength().

Referenced by AxesDialog::applyCanvasFormatTo(), and axesBackbones().

## clearAxisTitle()

void Graph::clearAxisTitle | ( |  | ) |

References ScalePicker::currentAxis(), scalePicker, and setAxisTitle().

Referenced by setAutoscaleFonts(), and showAxisTitleMenu().

## clearTitle()

void Graph::clearTitle | ( |  | ) |

Sets the title to an "almost empty" string: " ", thus keeping the QwtText object visible.

References modifiedGraph().

Referenced by backgroundPixmap(), ApplicationWindow::clearSelection(), and showTitleContextMenu().

## closedGraph

void Graph::closedGraph | ( |  | ) |

signal

Referenced by closeEvent(), and waterfallYOffset().

## closeEvent()

void Graph::closeEvent | ( | QCloseEvent * | e | ) |

References closedGraph().

Referenced by curve().

## closestCurve()

QwtPlotItem * Graph::closestCurve | ( | int | xpos,
|  | int | ypos,
|  | int & | dist,
|  | int & | point
| ) |  |

References Spectrogram::boundingRect(), curve(), d_curves, ErrorBars, Function, DataCurve::hasLabels(), Spectrogram::selectedLabels(), DataCurve::selectedLabels(), Spectrogram::selectLabel(), and PlotCurve::type().

Referenced by DataPickerTool::append(), contextMenuEvent(), CanvasPicker::eventFilter(), RangeSelectorTool::pointSelected(), and setCurvesList().

## contextMenuEvent()

void Graph::contextMenuEvent | ( | QContextMenuEvent * | e | ) |

References closestCurve(), d_selected_arrow, showContextMenu(), showCurveContextMenu(), and showMarkerPopupMenu().

Referenced by curve().

## copy

void Graph::copy | ( | Graph * | g | ) |

slot

References antialiasing(), autoscaleFonts(), autoScaleFonts, axesLinewidth(), axisTitlePolicy(), canvasBackgroundFileName(), canvasFrameColor(), canvasFrameWidth(), Grid::copy(), copyCurves(), copyEnrichments(), copyScaleDraw(), copyScaleWidget(), d_auto_scale, d_disable_curve_antialiasing, d_Douglas_Peuker_tolerance, d_grid_on_top, d_max_antialising_size, d_missing_data_gap, d_synchronize_scales, d_waterfall_offset_x, d_waterfall_offset_y, d_zoomer, enableAxis(), frameColor(), getDouglasPeukerTolerance(), grid(), hasGridOnTop(), hasSynchronizedScaleDivisions(), isAutoscalingEnabled(), isCurveAntialiasingDisabled(), isMissingDataGapEnabled(), labelsRotation(), maxAntialisingSize(), paletteBackgroundColor(), setAntialiasing(), setAxesLinewidth(), setAxisLabelRotation(), setAxisTitlePolicy(), setBackgroundColor(), setCanvasBackgroundImage(), setCanvasFrame(), setFrame(), updateAxesTitles(), updateLayout(), waterfallXOffset(), and waterfallYOffset().

Referenced by MultiLayer::copy(), MultiLayer::dropEvent(), dropEvent(), ApplicationWindow::extractGraphs(), ApplicationWindow::extractLayers(), ApplicationWindow::pasteSelection(), setCanvasSize(), and setPageGeometry().

## copyAxisTitle()

void Graph::copyAxisTitle | ( |  | ) |

References ScalePicker::currentAxis(), and scalePicker.

Referenced by cutAxisTitle(), setAutoscaleFonts(), and showAxisTitleMenu().

## copyCurves

void Graph::copyCurves | ( | Graph * | g | ) |

slot

References Box, Spectrogram::copy(), curvesList(), d_Douglas_Peuker_tolerance, d_fit_curves, d_speed_mode_points, PlotCurve::enableSideLines(), DataCurve::endRow(), ErrorBars, fitCurvesList(), Function, Histogram, HorizontalBars, insertCurve(), masterCurve(), QwtHistogram::matrix(), Pie, Spectrogram::setColorBarWidth(), PlotCurve::setPlotStyle(), Spectrogram::setVisible(), Spectrogram::showColorScale(), PlotCurve::sideLinesEnabled(), DataCurve::startRow(), DataCurve::table(), PlotCurve::type(), VectXYAM, VectXYXY, VerticalBars, DataCurve::xColumnName(), DataCurve::xTable(), VectorCurve::XYAM, and VectorCurve::XYXY.

Referenced by ApplicationWindow::addInsetLayer(), copy(), setPageGeometry(), and ApplicationWindow::zoomRectanglePlot().

## copyEnrichments

void Graph::copyEnrichments | ( | Graph * | g | ) |

slot

References add(), addArrow(), arrowsList(), and enrichmentsList().

Referenced by copy(), and setPageGeometry().

## copyImage()

void Graph::copyImage | ( |  | ) |

References exportEMF(), and graphPixmap().

Referenced by ApplicationWindow::copyActiveLayer(), and curve().

## copyScaleDraw

void Graph::copyScaleDraw | ( | Graph * | g,
|  | int | i
| ) |  |

slot

References axisLabelFormat(), axisLabelPrecision(), axisStep(), ScaleDraw::Date, ScaleDraw::Day, ScaleDraw::formatString(), ScaleDraw::formula(), ScaleDraw::labelsList(), majorTickLength(), ScaleDraw::majorTicksStyle(), minorTickLength(), ScaleDraw::minorTicksStyle(), ScaleDraw::Month, ScaleDraw::nameFormat(), ScaleDraw::Numeric, ScaleDraw::prefix(), ScaleDraw::scaleType(), setAxisTicksLength(), setLabelsDateTimeFormat(), setLabelsDayFormat(), setLabelsMonthFormat(), setLabelsNumericFormat(), ScaleDraw::setPrefix(), setScale(), ScaleDraw::setShowTicksPolicy(), ScaleDraw::setSuffix(), ScaleDraw::showTicksPolicy(), ScaleDraw::suffix(), and ScaleDraw::Time.

Referenced by copy(), and setPageGeometry().

## copyScaleWidget

void Graph::copyScaleWidget | ( | Graph * | g,
|  | int | i
| ) |  |

slot

References axisColor(), axisLabelsColor(), axisTitleString(), d_axis_titles, enableAxis(), and setAxisFont().

Referenced by copy(), and setPageGeometry().

## copyTitle()

void Graph::copyTitle | ( |  | ) |

Referenced by setAutoscaleFonts(), and showTitleContextMenu().

## createTable() [1/2]

void Graph::createTable | ( | const QString & | curveName | ) |

Provided for convenience in scripts.

References curve().

Referenced by fitCurvesList(), and ApplicationWindow::showCurveWorksheet().

## createTable() [2/2]

void Graph::createTable | ( | const QwtPlotCurve * | curve | ) |

References MdiSubWindow::applicationWindow(), multiLayer(), ApplicationWindow::newTable(), and Table::setCell().

## currentColorChanged

void Graph::currentColorChanged | ( | const QColor & |  | ) |

signal

Referenced by notifyColorChange(), select(), selectTitle(), and waterfallYOffset().

## currentFontChanged

void Graph::currentFontChanged | ( | const QFont & |  | ) |

signal

Referenced by notifyFontChange(), select(), selectTitle(), and waterfallYOffset().

## currentScale()

QwtScaleWidget * Graph::currentScale | ( |  | ) |

References ScalePicker::currentAxis(), and scalePicker.

Referenced by ApplicationWindow::clearSelection(), selectedArrow(), and TextDialog::setGraph().

## cursorInfo

void Graph::cursorInfo | ( | const QString & |  | ) |

signal

Referenced by waterfallYOffset().

## curve() [1/2]

PlotCurve * Graph::curve | ( | int | index | ) |

get curve by index

References d_curves.

Referenced by FFTDialog::accept(), FitDialog::accept(), FunctionDialog::acceptFunction(), FunctionDialog::acceptParametric(), FunctionDialog::acceptPolar(), InterpolationDialog::activateCurve(), SmoothCurveDialog::activateCurve(), IntegrationDialog::activateCurve(), PolynomFitDialog::activateCurve(), ExpDecayDialog::activateCurve(), FitDialog::activateCurve(), FFTDialog::activateDataSet(), ApplicationWindow::analysis(), ImageProfilesTool::append(), AssociationsDialog::changePlotAssociation(), RangeSelectorTool::clearMultipleSelection(), closestCurve(), RangeSelectorTool::copyMultipleSelection(), BaselineDialog::createBaseline(), createTable(), curveIndex(), dataCurve(), ApplicationWindow::differentiate(), LegendWidget::drawText(), FilterDialog::filter(), ExpDecayDialog::fit(), PolynomFitDialog::fit(), functionCurve(), LegendWidget::getCurve(), guessUniqueCurveLayout(), initCurveLayout(), insertFunctionCurve(), insertText(), IntegrationDialog::integrateCurve(), InterpolationDialog::interpolate(), DataPickerTool::keyEventFilter(), RangeSelectorTool::keyEventFilter(), legendText(), RangeSelectorTool::mightNeedMultipleSelection(), modifyFunctionCurve(), ApplicationWindow::openGraph(), parseAxisTitle(), ApplicationWindow::plotDoubleYAxis(), range(), RangeSelectorTool::RangeSelectorTool(), removeCurve(), CurvesDialog::removeCurves(), removePie(), PieLabel::restore(), restoreCurveLabels(), restoreSymbolImage(), saveCurveLayout(), savePieCurveLayout(), saveToString(), setBarsGap(), setCurveFullRange(), setCurveLineColor(), setCurveLineStyle(), setCurveLineWidth(), CurveRangeDialog::setCurvesToModify(), setCurveStyle(), CurveRangeDialog::setCurveToModify(), FunctionDialog::setCurveToModify(), Filter::setDataFromCurve(), setWaterfallFillColor(), setWaterfallSideLines(), ApplicationWindow::showDataSetDialog(), RangeSelectorTool::showSelectionDialog(), MultiLayer::showWaterfallFillDialog(), SmoothCurveDialog::smooth(), updateVectorsLayout(), and updateWaterfallFill().

## curve() [2/2]

PlotCurve* Graph::curve | ( | const QString & | title | ) |

inline

get curve by name

References addErrorBars(), analysableCurvesList(), closeEvent(), contextMenuEvent(), copyImage(), curve(), curveIndex(), curveNamesList(), curveRange(), curveTitle(), customPrintSize(), draw(), exportEMF(), exportImage(), exportSVG(), exportTeX(), exportToFile(), exportVector(), focusNextPrevChild(), graphPixmap(), invertScale(), loadErrorBars(), masterCurve(), mousePressed(), FrameWidget::Pixel, plotItem(), plotItemsList(), print(), setCurveFullRange(), setCurveLineColor(), setCurveLineStyle(), setCurveLineWidth(), setCurveStyle(), setGrayScale(), setIndexedColors(), setScale(), updateCurveNames(), updateErrorBars(), and updatePlot().

Referenced by curve().

## curveCount

int Graph::curveCount | ( |  | ) |

inline slot

References d_curves, selectedXEndValue(), selectedXStartValue(), and validCurvesDataSize().

Referenced by CurveRangeDialog::accept(), FunctionDialog::acceptFunction(), FunctionDialog::acceptParametric(), FunctionDialog::acceptPolar(), CurvesDialog::addCurveFromTable(), CurvesDialog::addCurves(), ApplicationWindow::addErrorBars(), PlotDialog::applyBoxWhiskersFormatToLayer(), PlotDialog::applyGapToLayer(), PlotDialog::applyPercentileFormatToLayer(), ApplicationWindow::changeMatrixName(), BaselineDialog::createBaseline(), ApplicationWindow::extractLayers(), SubtractLineTool::finalize(), ApplicationWindow::hideOtherCurves(), LayerItem::insertCurvesList(), DataPickerTool::keyEventFilter(), RangeSelectorTool::keyEventFilter(), DataCurve::loadData(), RangeSelectorTool::mightNeedMultipleSelection(), ApplicationWindow::multilayerPlot(), RangeSelectorTool::RangeSelectorTool(), PlotDialog::removeSelectedObject(), AssociationsDialog::setGraph(), ApplicationWindow::showAllCurves(), ApplicationWindow::showCursor(), ApplicationWindow::showCurveContextMenu(), CurvesDialog::showCurveRange(), ApplicationWindow::showGraphContextMenu(), ApplicationWindow::showRangeSelectors(), RangeSelectorTool::showSelectionDialog(), QwtBarCurve::stackedCurvesList(), LegendWidget::symbolsMaxWidth(), and MultiLayer::updateLayersLayout().

## curveIndex() [1/2]

int Graph::curveIndex | ( | QwtPlotItem * | c | ) |

inline

Map curve pointer to index.

References d_curves.

Referenced by ErrDialog::add(), BaselineDialog::createBaseline(), curve(), Filter::curveIndex(), CanvasPicker::eventFilter(), PlotDialog::insertTabs(), SubtractDataDialog::interpolate(), DataPickerTool::keyEventFilter(), RangeSelectorTool::keyEventFilter(), DataCurve::loadData(), removeCurve(), FunctionCurve::restore(), saveCurves(), FunctionDialog::setCurveToModify(), ApplicationWindow::showCurveContextMenu(), QwtBarCurve::stackedCurvesList(), BaselineDialog::subtractBaseline(), and updateCurveLayout().

## curveIndex() [2/2]

int Graph::curveIndex | ( | const QString & | title | ) |

inline

map curve title to index

References curve(), dataCurve(), functionCurve(), and plotItemsList().

## curveNamesList()

QStringList Graph::curveNamesList | ( |  | ) |

Returns the names of all the QwtPlotCurve items on the plot, as a string list.

References d_curves.

Referenced by curve(), ApplicationWindow::dependingPlots(), MultiPeakFit::insertPeakFunctionCurve(), and ApplicationWindow::multilayerDependencies().

## curveRange()

QString Graph::curveRange | ( | QwtPlotCurve * | c | ) |

returns the curve range information as a string: "curve_name [start:end]"

References DataCurve::endRow(), ErrorBars, Function, DataCurve::startRow(), and PlotCurve::type().

Referenced by FitDialog::changeDataRange(), curve(), SubtractDataDialog::setGraph(), InterpolationDialog::setGraph(), ExpDecayDialog::setGraph(), BaselineDialog::setGraph(), PolynomFitDialog::setGraph(), IntegrationDialog::setGraph(), and FitDialog::setGraph().

## curvesList()

QList<QwtPlotItem *> Graph::curvesList | ( |  | ) |

inline

References d_curves.

Referenced by PlotDialog::applyErrorBarFormatToLayer(), PlotDialog::applyLabelsFormatToLayer(), PlotDialog::applyLineFormatToLayer(), PlotDialog::applySymbolsFormatToLayer(), copyCurves(), deselectCurves(), CurveTreeItem::plotItemIndex(), ApplicationWindow::remove3DMatrixPlots(), scaleFonts(), selectedCurveLabels(), setCurrentColor(), setCurrentFont(), PlotDialog::setLabelsFontToLayer(), MultiLayer::showWaterfallFillDialog(), MultiLayer::showWaterfallOffsetDialog(), MultiLayer::sizeToString(), updateCurveLabels(), ApplicationWindow::updateMatrixPlots(), and AxesDialog::updateMinorTicksList().

## curveTitle()

QString Graph::curveTitle | ( | int | index | ) |

get curve title string by inde (convenience function for scripts)

References plotItem().

Referenced by curve().

## customPrintSize()

QSize Graph::customPrintSize | ( | const QSizeF & | customSize,
|  | int | unit,
|  | int | dpi
| ) |  |

static

References FrameWidget::Centimeter, FrameWidget::Inch, FrameWidget::Millimeter, FrameWidget::Pixel, and FrameWidget::Point.

Referenced by curve(), MultiLayer::draw(), ImageExportDialog::drawPreview(), ImageExportDialog::drawVectorPreview(), MultiLayer::exportImage(), Graph3D::exportImage(), exportImage(), MultiLayer::exportSVG(), exportSVG(), MultiLayer::exportTeX(), exportTeX(), MultiLayer::exportVector(), Graph3D::exportVector(), exportVector(), and Graph3D::pixmap().

## cutAxisTitle()

void Graph::cutAxisTitle | ( |  | ) |

References copyAxisTitle(), and removeAxisTitle().

Referenced by setAutoscaleFonts(), and showAxisTitleMenu().

## cutTitle()

void Graph::cutTitle | ( |  | ) |

References removeTitle().

Referenced by setAutoscaleFonts(), and showTitleContextMenu().

## dataCurve()

DataCurve * Graph::dataCurve | ( | int | index | ) |

References curve(), Function, and PlotCurve::type().

Referenced by CurveRangeDialog::accept(), ErrDialog::add(), PlotDialog::applyBoxWhiskersFormatToLayer(), PlotDialog::applyGapToLayer(), PlotDialog::applyPercentileFormatToLayer(), boxCurve(), BaselineDialog::createBaseline(), curveIndex(), SubtractLineTool::finalize(), SubtractDataDialog::interpolate(), DataCurve::loadData(), loadErrorBars(), ApplicationWindow::openGraph(), parseAxisTitle(), BaselineDialog::setGraph(), QwtBarCurve::stackedCurvesList(), BaselineDialog::subtractBaseline(), and updateDataCurves().

## dataRangeChanged

void Graph::dataRangeChanged | ( |  | ) |

signal

Referenced by enableRangeSelectors(), and waterfallYOffset().

## deleteFitCurves()

void Graph::deleteFitCurves | ( |  | ) |

References d_fit_curves, and removeCurve().

Referenced by rangeSelectorTool().

## deselect() [1/2]

void Graph::deselect | ( |  | ) |

References ScalePicker::deselect(), MultiLayer::deselect(), deselectCurves(), deselectMarker(), multiLayer(), scalePicker, TitlePicker::setSelected(), and titlePicker.

Referenced by deselectMarker(), enrichmentsList(), CanvasPicker::eventFilter(), MultiLayer::eventFilter(), MultiLayer::keyPressEvent(), print(), Spectrogram::selectLabel(), ScalePicker::selectLabels(), ScalePicker::selectTitle(), selectTitle(), MultiLayer::setActiveLayer(), and LegendWidget::showTextEditor().

## deselect() [2/2]

void Graph::deselect | ( | QWidget * | l | ) |

References d_markers_selector.

## deselectCurves()

void Graph::deselectCurves | ( |  | ) |

private

References curvesList(), and Function.

Referenced by deselect(), select(), and waterfallYOffset().

## deselectMarker()

void Graph::deselectMarker | ( |  | ) |

Reset any selection states on markers.

References cp, d_active_enrichment, d_lines, d_markers_selector, d_selected_arrow, deselect(), CanvasPicker::disableEditing(), enableTextEditor(), and ArrowMarker::setEditable().

Referenced by MultiLayer::copyAllLayers(), deselect(), Graph(), LineProfileTool::LineProfileTool(), FrameWidget::mousePressEvent(), ApplicationWindow::pasteSelection(), selectedArrow(), CanvasPicker::selectMarker(), DataCurve::setLabelsSelected(), EnrichmentDialog::setWidget(), and ApplicationWindow::showLineDialog().

## disableCurveAntialiasing()

void Graph::disableCurveAntialiasing | ( | bool | disable,
|  | int | maxPoints
| ) |  |

References d_antialiasing, d_curves, d_disable_curve_antialiasing, d_max_antialising_size, and isCurveAntialiasingEnabled().

Referenced by antialiasing(), ConfigDialog::apply(), ApplicationWindow::openGraph(), and ApplicationWindow::setPreferences().

## disableImageProfilesTool()

void Graph::disableImageProfilesTool | ( |  | ) |

References d_image_profiles_tool.

Referenced by backgroundPixmap(), and ~Graph().

## disableTools()

void Graph::disableTools | ( |  | ) |

References d_active_tool, d_peak_fit_tool, d_range_selector, drawLine(), drawLineActive(), enablePanningMagnifier(), zoom(), and zoomOn().

Referenced by AddWidgetTool::AddWidgetTool(), backgroundPixmap(), BaselineDialog::closeEvent(), ApplicationWindow::disableTools(), ApplicationWindow::pickDataTool(), and removeCurve().

## dragEnterEvent()

void Graph::dragEnterEvent | ( | QDragEnterEvent * | e | ) |

private

References multiLayer().

Referenced by waterfallYOffset().

## draw()

void Graph::draw | ( | QPaintDevice * | device,
|  | const QSize & | size,
|  | double | fontsFactor = `1.0`
| ) |  |

References boundingRect(), and print().

Referenced by curve(), ImageExportDialog::drawPreview(), exportSVG(), and exportTeX().

## drawArrow()

bool Graph::drawArrow | ( |  | ) |

inline

References drawArrowOn.

Referenced by ApplicationWindow::custom2DPlotTools(), and CanvasPicker::eventFilter().

## drawAxesBackbones()

void Graph::drawAxesBackbones | ( | bool | yes | ) |

References drawAxesBackbone, and modifiedGraph().

Referenced by AxesDialog::applyCanvasFormatTo(), selectedArrow(), ApplicationWindow::setPreferences(), and ApplicationWindow::zoomRectanglePlot().

## drawBreak()

void Graph::drawBreak | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | const QwtScaleMap & | map,
|  | int | axis
| ) |  | const

private

References axesLinewidth(), ScaleEngine::axisBreakLeft(), ScaleEngine::axisBreakRight(), d_maj_tick_length, ScaleEngine::hasBreak(), and ScaleEngine::hasBreakDecoration().

Referenced by drawItems(), and waterfallYOffset().

## drawInwardTicks()

void Graph::drawInwardTicks | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | const QwtScaleMap & | map,
|  | int | axis,
|  | bool | min,
|  | bool | maj
| ) |  | const

private

References ScaleEngine::axisBreakLeft(), ScaleEngine::axisBreakRight(), d_maj_tick_length, d_min_tick_length, and ScaleEngine::hasBreak().

Referenced by drawItems(), and waterfallYOffset().

## drawItems()

void Graph::drawItems | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | const QwtScaleMap | map[axisCnt],
|  | const QwtPlotPrintFilter & | pfilter
| ) |  | const

private virtual

References ScaleEngine::axisBreakLeft(), ScaleEngine::axisBreakRight(), ScaleDraw::Both, d_canvas_bkg_pix, d_is_printing, drawBreak(), drawInwardTicks(), ScaleEngine::hasBreak(), ScaleDraw::In, ScaleDraw::majorTicksStyle(), min, and ScaleDraw::minorTicksStyle().

Referenced by printCanvas(), and waterfallYOffset().

## drawLine()

void Graph::drawLine | ( | bool | on,
|  | bool | arrow = `false`
| ) |  |

Draws a line/arrow depending on the value of "arrow".

References drawArrowOn, drawLineEnded(), and drawLineOn.

Referenced by disableTools(), ApplicationWindow::drawArrow(), ApplicationWindow::drawLine(), CanvasPicker::eventFilter(), and numArrows().

## drawLineActive()

bool Graph::drawLineActive | ( |  | ) |

inline

References addImage(), arrowMarkerSelected(), drawLineOn, imageMarkerSelected(), insertImageMarker(), removeMarker(), setSelectedArrow(), and updateMarkersBoundingRect().

Referenced by ApplicationWindow::custom2DPlotTools(), disableTools(), CanvasPicker::eventFilter(), and hasActiveTool().

## drawLineEnded

void Graph::drawLineEnded | ( | bool |  | ) |

signal

Referenced by drawLine(), and waterfallYOffset().

## dropEvent()

void Graph::dropEvent | ( | QDropEvent * | event | ) |

private

References addCurves(), MultiLayer::addLayer(), MdiSubWindow::applicationWindow(), MultiLayer::canvas(), ColorMap, copy(), ApplicationWindow::defaultCurveLineWidth, ApplicationWindow::defaultCurveStyle, ApplicationWindow::defaultSymbolSize, multiLayer(), plotSpectrogram(), and Table::text().

Referenced by waterfallYOffset().

## enableAutoscaling()

void Graph::enableAutoscaling | ( | bool | on = `true` | ) |

inline

References d_auto_scale.

Referenced by ImageProfilesTool::append(), PlotDialog::applyFormatToLayer(), ApplicationWindow::newFunctionPlot(), ApplicationWindow::openGraph(), MultiLayer::plotProfiles(), ApplicationWindow::setGraphDefaultSettings(), and ApplicationWindow::setPreferences().

## enableAxis()

void Graph::enableAxis | ( | int | axis,
|  | bool | on = `true`
| ) |  |

References ScalePicker::refresh(), and scalePicker.

Referenced by PlotDialog::acceptParams(), ApplicationWindow::addInsetLayer(), changeTicksLength(), copy(), copyScaleWidget(), hideSelectedAxis(), ApplicationWindow::loadImage(), ApplicationWindow::openGraph(), FFT::outputGraphs(), ApplicationWindow::plotDoubleYAxis(), ApplicationWindow::plotImage(), plotPie(), MultiLayer::plotProfiles(), selectedArrow(), ApplicationWindow::setPreferences(), showAxis(), Spectrogram::showColorScale(), and ApplicationWindow::waterfallPlot().

## enableAxisLabels()

void Graph::enableAxisLabels | ( | int | axis,
|  | bool | on = `true`
| ) |  |

Referenced by ApplicationWindow::openGraph(), MultiLayer::plotProfiles(), and selectedArrow().

## enableDouglasPeukerSpeedMode()

void Graph::enableDouglasPeukerSpeedMode | ( | double | tolerance,
|  | int | maxPoints = `3000`
| ) |  |

References d_curves, d_Douglas_Peuker_tolerance, d_speed_mode_points, Function, and PlotCurve::type().

Referenced by PlotDialog::acceptParams(), magnifyTool(), and ApplicationWindow::openGraph().

## enablePanningMagnifier()

void Graph::enablePanningMagnifier | ( | bool | on = `true`,
|  | int | mode = `0`
| ) |  |

References Spectrogram::colorScaleAxis(), d_curves, d_magnifier, d_panner, multiLayer(), notifyChanges(), and updateMarkersBoundingRect().

Referenced by disableTools(), isPrinting(), and ApplicationWindow::magnify().

## enableRangeSelectors()

bool Graph::enableRangeSelectors | ( | const QObject * | status_target = `NULL`,
|  | const char * | status_slot = `""`
| ) |  |

Enables the data range selector tool.

This one is a bit special, because other tools can depend upon an existing selection. Therefore, range selection (like zooming) has to be provided in addition to the generic tool interface.

References d_range_selector, and dataRangeChanged().

Referenced by imageProfilesTool(), and ApplicationWindow::showRangeSelectors().

## enableTextEditor() [1/2]

void Graph::enableTextEditor | ( |  | ) |

References MdiSubWindow::applicationWindow(), ApplicationWindow::d_in_place_editing, multiLayer(), TitlePicker::selected(), showAxisTitleDialog(), titlePicker, and viewTitleDialog().

Referenced by deselectMarker(), Graph(), notifyFontChange(), and waterfallYOffset().

## enableTextEditor [2/2]

void Graph::enableTextEditor | ( | Graph * |  | ) |

signal

## enrichmentsList()

QList<FrameWidget *> Graph::enrichmentsList | ( |  | ) |

inline

References d_enrichments, deselect(), hasSeletedItems(), increasingAreaEnrichmentsList(), and selectCanvas().

Referenced by copyEnrichments(), EnrichmentDialog::frameApplyTo(), LayerItem::insertEnrichmentsList(), EnrichmentDialog::patternApplyTo(), raiseEnrichements(), PlotDialog::removeSelectedObject(), Filter::showLegend(), and EnrichmentDialog::textFormatApplyTo().

## exportEMF()

void Graph::exportEMF | ( | const QString & | fname,
|  | const QSizeF & | customSize = `QSizeF()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

References MdiSubWindow::applicationWindow(), ImportExportPlugin::exportGraph(), ApplicationWindow::exportPlugin(), and multiLayer().

Referenced by copyImage(), curve(), ApplicationWindow::exportLayer(), and exportToFile().

## exportImage()

void Graph::exportImage | ( | const QString & | fileName,
|  | int | quality = `100`,
|  | bool | transparent = `false`,
|  | int | dpi = `0`,
|  | const QSizeF & | customSize = `QSizeF ()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`,
|  | int | compression = `0`
| ) |  |

References customPrintSize(), graphPixmap(), MultiLayer::layerIndex(), and multiLayer().

Referenced by curve(), ApplicationWindow::exportLayer(), and exportToFile().

## exportSVG()

void Graph::exportSVG | ( | const QString & | fname,
|  | const QSizeF & | customSize = `QSizeF()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

References boundingRect(), customPrintSize(), and draw().

Referenced by curve(), ApplicationWindow::exportLayer(), and exportToFile().

## exportTeX()

void Graph::exportTeX | ( | const QString & | fname,
|  | bool | color = `true`,
|  | bool | escapeStrings = `true`,
|  | bool | fontSizes = `true`,
|  | const QSizeF & | customSize = `QSizeF()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

References boundingRect(), customPrintSize(), and draw().

Referenced by curve(), ApplicationWindow::exportLayer(), and exportToFile().

## exportToFile()

void Graph::exportToFile | ( | const QString & | fileName | ) |

Provided for convenience in scripts.

References exportEMF(), exportImage(), exportSVG(), exportTeX(), and exportVector().

Referenced by curve().

## exportVector() [1/2]

void Graph::exportVector | ( | const QString & | fileName,
|  | int | res = `0`,
|  | bool | color = `true`,
|  | const QSizeF & | customSize = `QSizeF ()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

Referenced by curve(), ImageExportDialog::drawVectorPreview(), ApplicationWindow::exportLayer(), and exportToFile().

## exportVector() [2/2]

void Graph::exportVector | ( | QPrinter * | printer,
|  | int | res = `0`,
|  | bool | color = `true`,
|  | const QSizeF & | customSize = `QSizeF ()`,
|  | int | unit = `FrameWidget::Pixel`,
|  | double | fontsFactor = `1.0`
| ) |  |

References boundingRect(), customPrintSize(), multiLayer(), and print().

## fitCurvesList()

QList<QwtPlotCurve *> Graph::fitCurvesList | ( |  | ) |

inline

References activateGraph(), addFunction(), boxCurve(), createTable(), d_fit_curves, generateFunctionName(), insertFunctionCurve(), modifyFunctionCurve(), notifyChanges(), openBoxDiagram(), oppositeAxis(), plotBox(), plotVectors(), range(), resizeEvent(), scaleFonts(), setBarsGap(), updateOppositeScaleDiv(), updateSecondaryAxis(), and updateVectorsLayout().

Referenced by copyCurves(), and ApplicationWindow::deleteFitTables().

## focusNextPrevChild()

bool Graph::focusNextPrevChild | ( | bool | next | ) |

Referenced by curve().

## frameColor()

QColor Graph::frameColor | ( |  | ) |

Referenced by copy(), saveToString(), PlotDialog::setActiveLayer(), setCurvesList(), and setFrame().

## functionCurve()

FunctionCurve * Graph::functionCurve | ( | int | index | ) |

References curve(), Function, and PlotCurve::type().

Referenced by curveIndex().

## generateFunctionName()

QString Graph::generateFunctionName | ( | const QString & | name = `tr("F")` | ) |

Returns an unique function name.

References d_curves, Function, and PlotCurve::type().

Referenced by addFunction(), fitCurvesList(), and Fit::insertFitFunctionCurve().

## getDouglasPeukerTolerance()

double Graph::getDouglasPeukerTolerance | ( |  | ) |

inline

References d_Douglas_Peuker_tolerance.

Referenced by copy(), DataCurve::enableSpeedMode(), and PlotDialog::setActiveLayer().

## getMajorTicksType()

QList< int > Graph::getMajorTicksType | ( |  | ) |

References ScaleDraw::majorTicksStyle(), and ScaleDraw::Out.

Referenced by saveTicksType(), setCurvesList(), setMajorTicksType(), setTicksLength(), AxesDialog::setTicksType(), and showAxis().

## getMinorTicksType()

QList< int > Graph::getMinorTicksType | ( |  | ) |

References ScaleDraw::minorTicksStyle(), and ScaleDraw::Out.

Referenced by saveTicksType(), setCurvesList(), setMinorTicksType(), setTicksLength(), AxesDialog::setTicksType(), and showAxis().

## getPenStyle() [1/2]

Qt::PenStyle Graph::getPenStyle | ( | const QString & | s | ) |

static

Referenced by addArrow(), Grid::load(), ApplicationWindow::openGraph(), ApplicationWindow::readSettings(), PlotCurve::restoreCurveLayout(), restoreSpectrogram(), setAutoscaleFonts(), ApplicationWindow::setDefaultOptions(), and updateCurveLayout().

## getPenStyle() [2/2]

Qt::PenStyle Graph::getPenStyle | ( | int | style | ) |

static

## graphPixmap()

QPixmap Graph::graphPixmap | ( | const QSize & | size = `QSize()`,
|  | double | scaleFontsFactor = `1.0`,
|  | bool | transparent = `false`
| ) |  |

References boundingRect(), and print().

Referenced by copyImage(), curve(), and exportImage().

## grid()

Grid* Graph::grid | ( |  | ) |

inline

References d_grid.

Referenced by copy(), DataCurve::loadData(), ApplicationWindow::openGraph(), saveToString(), ApplicationWindow::setPreferences(), showAxisContextMenu(), AxesDialog::showGridOptions(), and AxesDialog::updateGrid().

## guessUniqueCurveLayout()

void Graph::guessUniqueCurveLayout | ( | int & | colorIndex,
|  | int & | symbolIndex
| ) |  |

Tries to guess not already used curve color and symbol style.

References MdiSubWindow::applicationWindow(), curve(), d_curves, ColorBox::defaultColors(), SymbolBox::defaultSymbols(), ErrorBars, ApplicationWindow::indexedColors(), ApplicationWindow::indexedSymbols(), ErrorBarsCurve::masterCurve(), multiLayer(), and PlotCurve::type().

Referenced by CurvesDialog::addCurveFromTable(), addFunction(), initCurveLayout(), and setAxisStep().

## hasActiveTool()

bool Graph::hasActiveTool | ( |  | ) |

Returns true if a plot/data tool is enabled.

References d_active_tool, d_magnifier, d_panner, d_peak_fit_tool, d_range_selector, drawLineActive(), and zoomOn().

Referenced by activeTool(), and Spectrogram::selectedLabels().

## hasGridOnTop()

bool Graph::hasGridOnTop | ( |  | ) |

inline

References addHistogram(), d_grid_on_top, plotSpectrogram(), restoreHistogram(), restoreSpectrogram(), showAxisDialog(), showScaleDialog(), and spectrogram().

Referenced by copy(), and PlotDialog::setActiveLayer().

## hasPanningMagnifierEnabled()

bool Graph::hasPanningMagnifierEnabled | ( |  | ) |

inline

References d_magnifier, and d_panner.

Referenced by ApplicationWindow::custom2DPlotTools(), and CanvasPicker::eventFilter().

## hasSeletedItems()

bool Graph::hasSeletedItems | ( |  | ) |

References d_markers_selector, scalePicker, TitlePicker::selected(), ScalePicker::selectedAxis(), and titlePicker.

Referenced by enrichmentsList(), and MultiLayer::eventFilter().

## hasSynchronizedScaleDivisions()

bool Graph::hasSynchronizedScaleDivisions | ( |  | ) |

inline

References d_synchronize_scales.

Referenced by copy(), and AxesDialog::updatePlot().

## hiddenPlot

void Graph::hiddenPlot | ( | QWidget * |  | ) |

signal

Referenced by waterfallYOffset().

## hideSelectedAxis()

void Graph::hideSelectedAxis | ( |  | ) |

References ScalePicker::currentAxis(), enableAxis(), modifiedGraph(), ScalePicker::refresh(), and scalePicker.

Referenced by setAutoscaleFonts(), and showAxisContextMenu().

## imageMarkerSelected()

bool Graph::imageMarkerSelected | ( |  | ) |

References d_active_enrichment.

Referenced by drawLineActive(), and ApplicationWindow::showMarkerPopupMenu().

## imageProfilesTool()

QPointer<ImageProfilesTool> Graph::imageProfilesTool | ( |  | ) |

inline

References d_image_profiles_tool, enableRangeSelectors(), and rangeSelectorsEnabled().

Referenced by MultiLayer::copy(), and ApplicationWindow::openGraph().

## increasingAreaEnrichmentsList()

QList< FrameWidget * > Graph::increasingAreaEnrichmentsList | ( |  | ) |

References areaLessThan(), and d_enrichments.

Referenced by enrichmentsList(), CanvasPicker::eventFilter(), and SelectionMoveResizer::mousePressEvent().

## initCurveLayout() [1/2]

CurveLayout Graph::initCurveLayout | ( | int | style,
|  | int | curves = `0`,
|  | bool | guessLayout = `true`
| ) |  |

References CurveLayout::aCol, MdiSubWindow::applicationWindow(), Area, CurveLayout::aStyle, CurveLayout::connectType, curve(), ApplicationWindow::d_curve_line_style, d_curves, ApplicationWindow::d_fill_symbols, ApplicationWindow::d_indexed_symbols, ApplicationWindow::d_symbol_style, ColorBox::defaultColors(), ApplicationWindow::defaultCurveAlpha, ApplicationWindow::defaultCurveBrush, ApplicationWindow::defaultSymbolEdge, CurveLayout::fillCol, CurveLayout::filledArea, guessUniqueCurveLayout(), Histogram, HorizontalBars, HorizontalSteps, ApplicationWindow::indexedColors(), ApplicationWindow::indexedSymbols(), initCurveLayout(), CurveLayout::lCol, Line, CurveLayout::lStyle, multiLayer(), CurveLayout::penWidth, Scatter, QwtBarCurve::setGap(), QwtBarCurve::setOffset(), Spline, StackBar, StackColumn, CurveLayout::sType, CurveLayout::symCol, PlotCurve::type(), VerticalBars, VerticalDropLines, and VerticalSteps.

Referenced by PlotWizard::plot2D().

## initCurveLayout() [2/2]

CurveLayout Graph::initCurveLayout | ( |  | ) |

static

References CurveLayout::aCol, CurveLayout::aStyle, CurveLayout::connectType, CurveLayout::fillCol, CurveLayout::filledArea, CurveLayout::lCol, CurveLayout::lStyle, CurveLayout::lWidth, CurveLayout::penWidth, CurveLayout::sSize, CurveLayout::sType, and CurveLayout::symCol.

Referenced by CurvesDialog::addCurveFromTable(), addCurves(), initCurveLayout(), insertCurve(), and setAxisStep().

## initFonts()

void Graph::initFonts | ( | const QFont & | scaleTitleFnt,
|  | const QFont & | numbersFnt
| ) |  |

References setAxisFont().

Referenced by selectedArrow(), and ApplicationWindow::setPreferences().

## initTitle()

void Graph::initTitle | ( | bool | on,
|  | const QFont & | fnt
| ) |  |

Referenced by backgroundPixmap(), and ApplicationWindow::setPreferences().

## insertCurve [1/5]

DataCurve * Graph::insertCurve | ( | Table * | w,
|  | const QString & | name,
|  | int | style,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

slot

References Table::colIndex(), Table::colName(), Table::colX(), and modifiedGraph().

Referenced by CurvesDialog::addCurveFromTable(), addCurves(), addErrorBars(), addFunction(), addHistogram(), ImageProfilesTool::connectPlotLayers(), copyCurves(), BaselineDialog::createBaseline(), insertCurve(), insertPlotItem(), BaselineDialog::modifyBaseline(), openBoxDiagram(), ApplicationWindow::openGraph(), Differentiation::output(), FFT::outputGraphs(), PlotWizard::plot2D(), plotBox(), plotPie(), plotSpectrogram(), plotVectors(), FunctionCurve::restore(), restoreHistogram(), restoreSpectrogram(), and setPageGeometry().

## insertCurve [2/5]

DataCurve * Graph::insertCurve | ( | Table * | w,
|  | int | xcol,
|  | const QString & | name,
|  | int | style
| ) |  |

slot

References Table::colIndex(), Table::colName(), and insertCurve().

## insertCurve [3/5]

DataCurve * Graph::insertCurve | ( | Table * | w,
|  | const QString & | xColName,
|  | const QString & | yColName,
|  | int | style,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

slot

References addLegendItem(), Table::colIndex(), Table::columnFormat(), Table::columnType(), ScaleDraw::Date, Table::Date, DataCurve::enableSpeedMode(), Histogram, QwtBarCurve::Horizontal, HorizontalBars, initCurveLayout(), insertCurve(), DataCurve::loadData(), Table::numRows(), ScaleDraw::scaleType(), setLabelsDateTimeFormat(), PlotCurve::setPlotStyle(), StackBar, StackColumn, Table::text(), ScaleDraw::Time, Table::Time, updateCurveLayout(), QwtBarCurve::Vertical, and VerticalBars.

## insertCurve [4/5]

DataCurve * Graph::insertCurve | ( | Table * | xt,
|  | const QString & | xColName,
|  | Table * | yt,
|  | const QString & | yColName,
|  | int | style,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

slot

References addLegendItem(), Table::colIndex(), Table::columnFormat(), Table::columnType(), ScaleDraw::Date, Table::Date, DataCurve::enableSpeedMode(), HorizontalBars, initCurveLayout(), insertCurve(), DataCurve::loadData(), Table::numRows(), ScaleDraw::scaleType(), setLabelsDateTimeFormat(), PlotCurve::setPlotStyle(), Table::text(), ScaleDraw::Time, Table::Time, and updateCurveLayout().

## insertCurve [5/5]

void Graph::insertCurve | ( | QwtPlotItem * | c | ) |

slot

References d_antialiasing, and d_curves.

## insertFunctionCurve()

FunctionCurve * Graph::insertFunctionCurve | ( | const QString & | formula,
|  | int | points,
|  | int | fileVersion
| ) |  |

Used when reading from a project file with version < 0.9.5.

References addFunction(), curve(), FunctionCurve::Normal, FunctionCurve::Parametric, and FunctionCurve::Polar.

Referenced by fitCurvesList(), and ApplicationWindow::openGraph().

## insertImageMarker()

void Graph::insertImageMarker | ( | const QStringList & | lst,
|  | int | fileVersion
| ) |  |

References d_enrichments, and FrameWidget::setOrigin().

Referenced by drawLineActive(), and ApplicationWindow::openGraph().

## insertLegend()

void Graph::insertLegend | ( | const QStringList & | lst,
|  | int | fileVersion
| ) |  |

References insertText(), and LegendWidget::setAutoUpdate().

Referenced by ApplicationWindow::openGraph(), and setAxisStep().

## insertMarker()

void Graph::insertMarker | ( | QwtPlotMarker * | m | ) |

References d_antialiasing.

Referenced by addArrow(), Grid::enableZeroLineX(), Grid::enableZeroLineY(), MultiPeakFitTool::selectPeak(), and setCurvesList().

## insertPlotItem

void Graph::insertPlotItem | ( | QwtPlotItem * | i,
|  | int | type
| ) |  |

slot

References addLegendItem(), and insertCurve().

Referenced by Correlation::addResultCurve(), Convolution::addResultCurve(), Filter::addResultCurve(), DrawPointTool::appendPoint(), MultiPeakFit::generateFitCurve(), Fit::insertFitFunctionCurve(), MultiPeakFit::insertPeakFunctionCurve(), setPageGeometry(), Fit::showConfidenceLimits(), Fit::showPredictionLimits(), and Fit::showResiduals().

## insertText()

LegendWidget * Graph::insertText | ( | const QStringList & | list,
|  | int | fileVersion
| ) |  |

Used when opening a project file.

References PieCurve::addLabel(), curve(), d_active_enrichment, d_enrichments, FrameWidget::move(), LegendWidget::setAngle(), FrameWidget::setBackgroundColor(), LegendWidget::setFont(), FrameWidget::setFrameStyle(), FrameWidget::setOriginCoord(), LegendWidget::setText(), LegendWidget::setTextColor(), and updateLayout().

Referenced by insertLegend(), ApplicationWindow::openGraph(), and setAxisStep().

## invertScale()

void Graph::invertScale | ( | int | axis | ) |

Set axis scale.

Referenced by curve().

## isAutoscalingEnabled()

bool Graph::isAutoscalingEnabled | ( |  | ) |

inline

References d_auto_scale.

Referenced by PlotDialog::acceptParams(), copy(), and PlotDialog::setActiveLayer().

## isCurveAntialiasingDisabled()

bool Graph::isCurveAntialiasingDisabled | ( |  | ) |

inline

References d_disable_curve_antialiasing.

Referenced by copy().

## isCurveAntialiasingEnabled()

bool Graph::isCurveAntialiasingEnabled | ( | QwtPlotItem * | it | ) |

References d_antialiasing, d_disable_curve_antialiasing, and d_max_antialising_size.

Referenced by antialiasing(), disableCurveAntialiasing(), DataCurve::loadData(), and setAntialiasing().

## isMissingDataGapEnabled()

bool Graph::isMissingDataGapEnabled | ( |  | ) |

inline

References d_missing_data_gap.

Referenced by copy(), DataCurve::drawCurve(), and PlotDialog::setActiveLayer().

## isPiePlot

bool Graph::isPiePlot | ( |  | ) |

slot

Returns true if this Graph is a pie plot, false otherwise.

References d_curves, and Pie.

Referenced by ApplicationWindow::addErrorBars(), CanvasPicker::eventFilter(), ApplicationWindow::fitMultiPeak(), ApplicationWindow::movePoints(), newLegend(), ApplicationWindow::removePoints(), saveCurves(), setGrayScale(), setPageGeometry(), ApplicationWindow::setPreferences(), ApplicationWindow::showCursor(), ApplicationWindow::showCurvesDialog(), ApplicationWindow::showGraphContextMenu(), ApplicationWindow::showRangeSelectors(), ApplicationWindow::showScaleDialog(), ApplicationWindow::subtractStraightLine(), ApplicationWindow::translateCurve(), AxesDialog::updateGrid(), ApplicationWindow::zoomIn(), and ApplicationWindow::zoomOut().

## isPrinting()

bool Graph::isPrinting | ( |  | ) |

inline

References d_is_printing, and enablePanningMagnifier().

Referenced by ScaleDraw::draw(), ScaleDraw::drawBackbone(), ScaleDraw::drawBreak(), and ScaleDraw::drawTick().

## isWaterfallPlot()

bool Graph::isWaterfallPlot | ( |  | ) |

inline

References d_waterfall_offset_x, and d_waterfall_offset_y.

Referenced by DataCurve::loadData(), ApplicationWindow::pasteSelection(), saveToString(), and MultiLayer::updateWaterfalls().

## labelsRotation()

int Graph::labelsRotation | ( | int | axis | ) |

Referenced by copy(), saveLabelsRotation(), selectedArrow(), showAxis(), and AxesDialog::updateShowBox().

## legend()

LegendWidget * Graph::legend | ( |  | ) |

References d_enrichments, and LegendWidget::isAutoUpdateEnabled().

Referenced by CurvesDialog::addCurves(), removeLegend(), setAxisStep(), and setLegend().

## legendText()

QString Graph::legendText | ( | bool | layerSpec = `false`,
|  | int | fromIndex = `0`
| ) |  |

Creates a new legend text using the curves titles.

References MdiSubWindow::applicationWindow(), ColumnComment, ColumnName, curve(), d_curves, ApplicationWindow::d_graph_legend_display, DataSetName, ErrorBars, Function, MultiLayer::layerIndex(), multiLayer(), TableLegend, TableName, and PlotCurve::type().

Referenced by CurvesDialog::addCurves(), addLegendItem(), newLegend(), plotBox(), and setAxisStep().

## loadAxesLinewidth()

void Graph::loadAxesLinewidth | ( | int | width | ) |

used when opening a project file

References setAxesLinewidth().

Referenced by ApplicationWindow::openGraph(), and selectedArrow().

## loadAxesOptions()

void Graph::loadAxesOptions | ( | const QStringList & | lst | ) |

used when opening a project file

References drawAxesBackbone.

Referenced by axesBackbones(), and ApplicationWindow::openGraph().

## loadErrorBars()

void Graph::loadErrorBars | ( | QList< ErrorBarsCurve *> | errBars,
|  | QList< int > | mcIndexes
| ) |  |

Used when restoring project files.

References dataCurve(), and ErrorBarsCurve::setMasterCurve().

Referenced by curve(), and ApplicationWindow::openGraph().

## magnifyTool()

QwtPlotMagnifier* Graph::magnifyTool | ( |  | ) |

inline

References changeCurveIndex(), d_magnifier, and enableDouglasPeukerSpeedMode().

Referenced by ApplicationWindow::custom2DPlotTools().

## majorTickLength()

int Graph::majorTickLength | ( |  | ) | const

References d_maj_tick_length.

Referenced by changeTicksLength(), copyScaleDraw(), ScaleDraw::draw(), ScaleDraw::drawBreak(), saveToString(), setCurvesList(), AxesDialog::setGraph(), setMajorTicksType(), and showAxis().

## markerSelected()

bool Graph::markerSelected | ( |  | ) |

References d_active_enrichment, and d_selected_arrow.

Referenced by ApplicationWindow::copyMarker(), ApplicationWindow::copySelection(), and selectedArrow().

## masterCurve() [1/2]

DataCurve * Graph::masterCurve | ( | ErrorBarsCurve * | er | ) |

Returns a valid master curve for the error bars curve.

References d_curves, DataCurve::endRow(), Function, ErrorBarsCurve::masterCurve(), DataCurve::plotAssociation(), and DataCurve::startRow().

Referenced by addCurves(), addErrorBars(), AssociationsDialog::changePlotAssociation(), copyCurves(), curve(), and ApplicationWindow::openGraph().

## masterCurve() [2/2]

DataCurve * Graph::masterCurve | ( | const QString & | xColName,
|  | const QString & | yColName
| ) |  |

Returns a valid master curve for a plot association.

References d_curves, and Function.

## maxAntialisingSize()

int Graph::maxAntialisingSize | ( |  | ) |

inline

References d_max_antialising_size, and setCurrentColor().

Referenced by copy().

## minorTickLength()

int Graph::minorTickLength | ( |  | ) | const

References d_min_tick_length.

Referenced by changeTicksLength(), copyScaleDraw(), ScaleDraw::draw(), saveToString(), setCurvesList(), AxesDialog::setGraph(), setMajorTicksType(), and showAxis().

## modifiedGraph

void Graph::modifiedGraph | ( |  | ) |

signal

Referenced by addFunction(), addImage(), addTexFormula(), addTimeStamp(), changeCurveIndex(), changeTicksLength(), clearTitle(), drawAxesBackbones(), Graph(), hideSelectedAxis(), insertCurve(), modifyFunctionCurve(), newLegend(), notifyChanges(), remove(), removeCurve(), removePie(), removeTitle(), reverseCurveOrder(), select(), setAutoScale(), setAxesLinewidth(), setAxisFont(), setAxisTitle(), setAxisTitleFont(), setBackgroundColor(), setCanvasFrame(), setCurrentColor(), setCurrentFont(), setCurveFullRange(), setCurveLineColor(), setCurveLineStyle(), setCurveLineWidth(), setGrayScale(), setGridOnTop(), setIndexedColors(), setRightAxisTitle(), setSelectedArrow(), setTitleAlignment(), setTitleColor(), setTitleFont(), setTopAxisTitle(), setWaterfallFillColor(), setWaterfallOffset(), setWaterfallSideLines(), setWaterfallXOffset(), setWaterfallYOffset(), setXAxisTitle(), setYAxisTitle(), showAxis(), showCurve(), showGrid(), showMissingDataGap(), updateErrorBars(), updateVectorsLayout(), updateWaterfallFill(), waterfallYOffset(), and zoomed().

## modifyFunctionCurve()

void Graph::modifyFunctionCurve | ( | int | curve,
|  | int | type,
|  | const QStringList & | formulas,
|  | const QString & | var,
|  | double | start,
|  | double | end,
|  | int | points,
|  | const QMap< QString, double > & | constants
| ) |  |

References FunctionCurve::constants(), curve(), d_enrichments, FunctionCurve::endRange(), FunctionCurve::formulas(), FunctionCurve::functionType(), LegendWidget::isAutoUpdateEnabled(), FunctionCurve::legend(), FunctionCurve::loadData(), modifiedGraph(), FunctionCurve::setConstants(), FunctionCurve::setFormulas(), FunctionCurve::setFunctionType(), FunctionCurve::setRange(), LegendWidget::setText(), FunctionCurve::setVariable(), FunctionCurve::startRange(), LegendWidget::text(), updatePlot(), and FunctionCurve::variable().

Referenced by FunctionDialog::acceptFunction(), FunctionDialog::acceptParametric(), FunctionDialog::acceptPolar(), and fitCurvesList().

## mousePressed()

bool Graph::mousePressed | ( | QEvent * | e | ) |

References scalePicker, ScalePicker::scaleRect(), ScalePicker::selectLabels(), ScalePicker::selectTitle(), and stackingOrderEnrichmentsList().

Referenced by curve(), MultiLayer::eventFilter(), and MultiLayer::selectLayerCanvas().

## multiLayer()

MultiLayer * Graph::multiLayer | ( |  | ) | const

Returns a pointer to the parent MultiLayer object.

Referenced by AddWidgetTool::addEquation(), AddWidgetTool::addText(), AddWidgetTool::AddWidgetTool(), ScreenPickerTool::append(), ImageProfilesTool::append(), TextDialog::apply(), AxesDialog::applyAxisFormat(), PlotDialog::applyBoxWhiskersFormat(), AxesDialog::applyCanvasFormat(), PlotDialog::applyErrorBarFormat(), PlotDialog::applyLabelsFormat(), PlotDialog::applyLineFormat(), PlotDialog::applyPercentileFormat(), PlotDialog::applySymbolsFormat(), FrameWidget::calculateBottomValue(), FrameWidget::calculateRightValue(), FrameWidget::calculateXValue(), FrameWidget::calculateYValue(), ImageProfilesTool::clone(), TextEditor::closeEvent(), ImageProfilesTool::connectPlotLayers(), RangeSelectorTool::copyMultipleSelection(), RangeSelectorTool::copySelectedCurve(), EnrichmentDialog::createImage(), createTable(), deselect(), ArrowMarker::displayInfo(), MultiLayer::dragEnterEvent(), dragEnterEvent(), MultiLayer::dropEvent(), dropEvent(), RangeSelectorTool::emitStatusText(), enablePanningMagnifier(), enableTextEditor(), CanvasPicker::eventFilter(), AddWidgetTool::eventFilter(), exportEMF(), exportImage(), exportVector(), EnrichmentDialog::frameApplyTo(), FrameWidget::FrameWidget(), LegendWidget::getCurve(), guessUniqueCurveLayout(), ImageProfilesTool::ImageProfilesTool(), initCurveLayout(), PieCurve::initLabels(), DataPickerTool::keyEventFilter(), ScaleDraw::labelString(), legendText(), PieCurve::loadData(), Fit::logFitInfo(), Integration::logInfo(), ImageProfilesTool::modifiedMatrix(), newLegend(), FFT::outputGraphs(), ImageWidget::paintEvent(), LegendWidget::parse(), RangeSelectorTool::pasteSelection(), EnrichmentDialog::patternApplyTo(), plotBox(), print(), raiseEnrichements(), resizeEvent(), EnrichmentDialog::saveImagesInternally(), saveToString(), EnrichmentDialog::setBestSize(), EnrichmentDialog::setCoordinates(), Spectrogram::setDefaultColorMap(), setIndexedColors(), PlotDialog::setLabelsFont(), RectangleWidget::setLinkedLayer(), Spectrogram::setMatrix(), FrameWidget::setOriginCoord(), LegendWidget::showTextEditor(), stackingOrderEnrichmentsList(), TextEditor::TextEditor(), EnrichmentDialog::textFormatApplyTo(), EnrichmentDialog::updateForm(), AxesDialog::updateGrid(), updateWaterfallFill(), and AddWidgetTool::~AddWidgetTool().

## newLegend()

LegendWidget * Graph::newLegend | ( | const QString & | text = `QString()` | ) |

References MdiSubWindow::applicationWindow(), d_enrichments, isPiePlot(), ApplicationWindow::legendBackground, ApplicationWindow::legendFrameStyle, legendText(), ApplicationWindow::legendTextColor, modifiedGraph(), multiLayer(), pieLegendText(), ApplicationWindow::plotLegendFont, LegendWidget::setAutoUpdate(), FrameWidget::setBackgroundColor(), LegendWidget::setFont(), FrameWidget::setFrameStyle(), LegendWidget::setText(), and LegendWidget::setTextColor().

Referenced by addTimeStamp(), ApplicationWindow::differentiate(), ApplicationWindow::multilayerPlot(), ApplicationWindow::newGraph(), ApplicationWindow::newLegend(), DataPickerTool::pasteSelectionAsLayerText(), PlotWizard::plot2D(), setAxisStep(), Filter::showLegend(), LayerDialog::update(), MultiLayer::updateLayersLayout(), and ApplicationWindow::waterfallPlot().

## notifyChanges()

void Graph::notifyChanges | ( |  | ) |

References modifiedGraph().

Referenced by CurveRangeDialog::accept(), PlotDialog::acceptParams(), AddWidgetTool::addEllipse(), AddWidgetTool::addEquation(), AddWidgetTool::addRectangle(), AddWidgetTool::addText(), SelectionMoveResizer::alignTargetsBottom(), SelectionMoveResizer::alignTargetsLeft(), SelectionMoveResizer::alignTargetsRight(), SelectionMoveResizer::alignTargetsTop(), TextDialog::apply(), AssociationsDialog::changePlotAssociation(), TextEditor::closeEvent(), enablePanningMagnifier(), fitCurvesList(), Spectrogram::moveLabel(), RangeSelectorTool::setCurveRange(), FrameWidget::setOnTop(), AxesDialog::updateGrid(), and AxesDialog::updatePlot().

## notifyColorChange()

void Graph::notifyColorChange | ( | const QColor & | c | ) |

inline

References currentColorChanged(), and setCurrentFont().

Referenced by Spectrogram::selectLabel(), ScalePicker::selectLabels(), ScalePicker::selectTitle(), and DataCurve::setLabelsSelected().

## notifyFontChange()

void Graph::notifyFontChange | ( | const QFont & | f | ) |

inline

References currentFontChanged(), enableTextEditor(), and showMissingDataGap().

Referenced by SelectionMoveResizer::operateOnTargets(), scaleFonts(), Spectrogram::selectLabel(), ScalePicker::selectLabels(), ScalePicker::selectTitle(), and DataCurve::setLabelsSelected().

## numArrows()

int Graph::numArrows | ( |  | ) |

inline

References d_lines, and drawLine().

## obsoleteSymbolStyle()

int Graph::obsoleteSymbolStyle | ( | int | type | ) |

static

Referenced by ApplicationWindow::openGraph(), and setAutoscaleFonts().

## openBoxDiagram()

BoxCurve * Graph::openBoxDiagram | ( | Table * | w,
|  | const QStringList & | l,
|  | int | fileVersion
| ) |  |

References insertCurve(), BoxCurve::loadData(), Table::numRows(), BoxCurve::setBoxRange(), BoxCurve::setBoxStyle(), BoxCurve::setBoxWidth(), BoxCurve::setMaxStyle(), BoxCurve::setMeanStyle(), BoxCurve::setMinStyle(), BoxCurve::setP1Style(), BoxCurve::setP99Style(), BoxCurve::setWhiskersRange(), and SymbolBox::style().

Referenced by fitCurvesList(), and ApplicationWindow::openGraph().

## oppositeAxis()

int Graph::oppositeAxis | ( | int | axis | ) |

Referenced by fitCurvesList(), updateOppositeScaleDiv(), AxesDialog::updatePlot(), and updateSecondaryAxis().

## pageGeometry()

QRectF Graph::pageGeometry | ( |  | ) |

inline

References d_page_rect.

Referenced by MultiLayer::adjustLayersToCanvasSize().

## paletteBackgroundColor()

const QColor & Graph::paletteBackgroundColor | ( |  | ) | const

Referenced by copy(), printFrame(), saveToString(), PlotDialog::setActiveLayer(), and setCurvesList().

## parseAxisTitle()

QString Graph::parseAxisTitle | ( | int | axis | ) |

private

References ColComment, Table::colIndex(), ColName, Table::comment(), curve(), d_axis_title_policy, d_axis_titles, d_curves, dataCurve(), Default, NameAndComment, DataCurve::table(), and DataCurve::xColumnName().

Referenced by setAxisTitleString(), updateAxesTitles(), updateAxisTitle(), and waterfallYOffset().

## penStyleName()

QString Graph::penStyleName | ( | Qt::PenStyle | style | ) |

static

Referenced by saveMarkers(), savePieCurveLayout(), ApplicationWindow::saveSettings(), and setAutoscaleFonts().

## pieLegendText

QString Graph::pieLegendText | ( |  | ) |

slot

References d_curves.

Referenced by newLegend(), and setPageGeometry().

## plotBox()

void Graph::plotBox | ( | Table * | w,
|  | const QStringList & | names,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

References MdiSubWindow::applicationWindow(), ScaleDraw::ColHeader, d_enrichments, ColorBox::defaultColors(), ScaleDraw::HideBeginEnd, ApplicationWindow::indexedColors(), insertCurve(), LegendWidget::isAutoUpdateEnabled(), legendText(), BoxCurve::loadData(), multiLayer(), Table::numRows(), Table::selectedYLabels(), ScaleDraw::setShowTicksPolicy(), and LegendWidget::setText().

Referenced by addCurves(), and fitCurvesList().

## plotItem()

QwtPlotItem * Graph::plotItem | ( | int | index | ) |

get plotted item by index

References d_curves.

Referenced by ApplicationWindow::changeMatrixName(), curve(), curveTitle(), LayerItem::insertCurvesList(), AssociationsDialog::setGraph(), showCurve(), CurvesDialog::showCurveBtn(), CurvesDialog::showCurveRange(), ApplicationWindow::showCurveWorksheet(), and ApplicationWindow::showMatrixValuesDialog().

## plotItemsList()

QStringList Graph::plotItemsList | ( |  | ) |

Returns the names of all plot items, including spectrograms, as a string list.

References d_curves.

Referenced by curve(), curveIndex(), plotSpectrogram(), CurvesDialog::setGraph(), CurvesDialog::shiftCurveBy(), and CurvesDialog::showCurveRange().

## plotPie [1/2]

PieCurve * Graph::plotPie | ( | Table * | w,
|  | const QString & | name,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

slot

Used when creating a pie plot.

References enableAxis(), PieCurve::initLabels(), insertCurve(), PieCurve::loadData(), ScalePicker::refresh(), scalePicker, and setFrame().

Referenced by addCurves(), ApplicationWindow::openGraph(), and setPageGeometry().

## plotPie [2/2]

PieCurve * Graph::plotPie | ( | Table * | w,
|  | const QString & | name,
|  | const QPen & | pen,
|  | int | brush,
|  | int | size,
|  | int | firstColor,
|  | int | startRow = `0`,
|  | int | endRow = `-1`,
|  | bool | visible = `true`,
|  | double | d_start_azimuth = `270`,
|  | double | d_view_angle = `90`,
|  | double | d_thickness = `33`,
|  | double | d_horizontal_offset = `0.0`,
|  | double | d_edge_dist = `25`,
|  | bool | d_counter_clockwise = `false`,
|  | bool | d_auto_labeling = `true`,
|  | bool | d_values = `false`,
|  | bool | d_percentages = `true`,
|  | bool | d_categories = `false`,
|  | bool | d_fixed_labels_pos = `true`
| ) |  |

slot

Used when restoring a pie plot from a project file.

References PatternBox::brushStyle(), PieCurve::initLabels(), insertCurve(), PieCurve::loadData(), Table::numRows(), PieCurve::setBrushStyle(), PieCurve::setCounterClockwise(), PieCurve::setFirstColor(), PieCurve::setFixedLabelsPosition(), PieCurve::setHorizontalOffset(), PieCurve::setLabelCategories(), PieCurve::setLabelPercentagesFormat(), PieCurve::setLabelsAutoFormat(), PieCurve::setLabelsEdgeDistance(), PieCurve::setLabelValuesFormat(), PieCurve::setRadius(), PieCurve::setStartAzimuth(), PieCurve::setThickness(), PieCurve::setViewAngle(), and DataCurve::setVisible().

## plotSpectrogram()

Spectrogram * Graph::plotSpectrogram | ( | Matrix * | m,
|  | CurveType | type
| ) |  |

Add a spectrogram to the graph.

References Spectrogram::clearLabels(), Spectrogram::colorMap(), ColorMap, Contour, d_zoomer, GrayScale, insertCurve(), plotItemsList(), Spectrogram::range(), Spectrogram::setColorScaleAxis(), Spectrogram::setDefaultColorMap(), Spectrogram::setGrayScale(), spectrogram(), and updateSecondaryAxis().

Referenced by CurvesDialog::addCurveFromMatrix(), dropEvent(), hasGridOnTop(), ApplicationWindow::plotImage(), MultiLayer::plotProfiles(), and ApplicationWindow::plotSpectrogram().

## plotVectors()

VectorCurve * Graph::plotVectors | ( | Table * | w,
|  | const QStringList & | colList,
|  | int | style,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

References addLegendItem(), insertCurve(), VectorCurve::loadData(), Table::numRows(), PlotCurve::setPlotStyle(), updatePlot(), VectXYAM, VectorCurve::XYAM, and VectorCurve::XYXY.

Referenced by addCurves(), fitCurvesList(), and ApplicationWindow::openGraph().

## print() [1/2]

void Graph::print | ( | QPainter * | painter,
|  | const QRect & | plotRect,
|  | const QwtPlotPrintFilter & | pfilter = `QwtPlotPrintFilter()`
| ) |  |

Paint the plot into a given rectangle. Paint the contents of a QwtPlot instance into a given rectangle (Qwt modified code).

Parameters

  painter | Painter
  plotRect | Bounding rectangle
  pfilter | Print filter

References boundingRect(), d_curves, d_is_printing, deselect(), LegendWidget::font(), FrameWidget::isOnTop(), FrameWidget::print(), printCanvas(), printFrame(), printScale(), LegendWidget::setFont(), VectorCurve::setVectorPen(), stackingOrderEnrichmentsList(), PlotCurve::type(), VectorCurve::vectorPen(), VectXYAM, and VectXYXY.

Referenced by MultiLayer::canvasPixmap(), MultiLayer::draw(), MultiLayer::exportVector(), MultiLayer::printActiveLayer(), and MultiLayer::printAllLayers().

## print() [2/2]

void Graph::print | ( |  | ) |

References multiLayer().

Referenced by curve(), draw(), exportVector(), graphPixmap(), and setCurvesList().

## printCanvas()

void Graph::printCanvas | ( | QPainter * | painter,
|  | const QRect & | canvasRect,
|  | const QwtScaleMap | map[axisCnt],
|  | const QwtPlotPrintFilter & | pfilter
| ) |  | const

private

References drawItems().

Referenced by print(), and waterfallYOffset().

## printFrame()

void Graph::printFrame | ( | QPainter * | painter,
|  | const QRect & | rect
| ) |  | const

private

References paletteBackgroundColor().

Referenced by print(), and waterfallYOffset().

## printScale()

void Graph::printScale | ( | QPainter * | painter,
|  | int | axisId,
|  | int | startDist,
|  | int | endDist,
|  | int | baseDist,
|  | const QRect & | rect
| ) |  | const

private virtual

Paint a scale into a given rectangle. Paint the scale into a given rectangle (modified code from Qwt).

Parameters

  painter | Painter
  axisId | Axis
  startDist | Start border distance
  endDist | End border distance
  baseDist | Base distance
  rect | Bounding rectangle

Referenced by print(), and waterfallYOffset().

## raiseEnrichements()

void Graph::raiseEnrichements | ( |  | ) |

References d_enrichments, enrichmentsList(), FrameWidget::isOnTop(), MultiLayer::layersList(), and multiLayer().

Referenced by MultiLayer::activateGraph(), MultiLayer::addLayer(), FrameWidget::FrameWidget(), MultiLayer::setActiveLayer(), and setCanvasSize().

## range() [1/2]

int Graph::range | ( | const QString & | curveTitle,
|  | double * | start,
|  | double * | end
| ) |  |

Set start and end to selected X range of curve "curveTitle" or, if there's no selection, to the curve's total range.

Returns
  the number of selected or total points

References curve().

Referenced by InterpolationDialog::activateCurve(), IntegrationDialog::activateCurve(), PolynomFitDialog::activateCurve(), ExpDecayDialog::activateCurve(), FitDialog::activateCurve(), fitCurvesList(), and Filter::setDataFromCurve().

## range() [2/2]

int Graph::range | ( | QwtPlotCurve * | c,
|  | double * | start,
|  | double * | end
| ) |  |

Set start and end to selected X range of curve "curve" or, if there's no selection, to the curve's total range.

Returns
  the number of selected or total points

References d_range_selector.

## rangeSelectorsEnabled()

bool Graph::rangeSelectorsEnabled | ( |  | ) |

References d_range_selector.

Referenced by ApplicationWindow::analysis(), FitDialog::changeDataRange(), ApplicationWindow::clearSelection(), ApplicationWindow::copySelection(), ApplicationWindow::custom2DPlotTools(), ApplicationWindow::cutSelection(), imageProfilesTool(), ApplicationWindow::pasteSelection(), SubtractDataDialog::setGraph(), InterpolationDialog::setGraph(), PolynomFitDialog::setGraph(), BaselineDialog::setGraph(), ExpDecayDialog::setGraph(), IntegrationDialog::setGraph(), FitDialog::setGraph(), and ApplicationWindow::showCurveContextMenu().

## rangeSelectorTool()

QPointer<RangeSelectorTool> Graph::rangeSelectorTool | ( |  | ) |

inline

References addFitCurve(), d_range_selector, deleteFitCurves(), setBackgroundColor(), and setFrame().

Referenced by ApplicationWindow::analysis(), FitDialog::changeDataRange(), ApplicationWindow::clearSelection(), ApplicationWindow::copySelection(), ApplicationWindow::cutSelection(), ApplicationWindow::pasteSelection(), SubtractDataDialog::setGraph(), InterpolationDialog::setGraph(), ExpDecayDialog::setGraph(), BaselineDialog::setGraph(), PolynomFitDialog::setGraph(), IntegrationDialog::setGraph(), FitDialog::setGraph(), and ApplicationWindow::showCurveContextMenu().

## recoverObsoleteDateTimeScale()

void Graph::recoverObsoleteDateTimeScale | ( | int | axis,
|  | int | type,
|  | const QString & | origin,
|  | const QString & | format
| ) |  |

References d_user_step, ScaleDraw::Date, Table::fromDateTime(), Table::fromTime(), and ScaleDraw::Time.

Referenced by axesBackbones(), and ApplicationWindow::openGraph().

## reloadCurvesData

void Graph::reloadCurvesData | ( |  | ) |

slot

References d_curves, Function, and PlotCurve::type().

Referenced by setPageGeometry().

## remove() [1/2]

void Graph::remove | ( | FrameWidget * | f | ) |

References d_active_enrichment, d_enrichments, and modifiedGraph().

Referenced by PlotDialog::removeSelectedObject(), and EnrichmentDialog::~EnrichmentDialog().

## remove() [2/2]

void Graph::remove | ( | ArrowMarker * | arrow | ) |

References cp, d_lines, d_markers_selector, d_selected_arrow, CanvasPicker::disableEditing(), and modifiedGraph().

## removeAxisTitle()

void Graph::removeAxisTitle | ( |  | ) |

References ScalePicker::currentAxis(), scalePicker, and setAxisTitle().

Referenced by cutAxisTitle(), setAutoscaleFonts(), and showAxisTitleMenu().

## removeCurve [1/3]

void Graph::removeCurve | ( | QwtPlotItem * | it | ) |

slot

References curve(), d_curves, d_fit_curves, d_range_selector, disableTools(), ErrorBars, Function, modifiedGraph(), and removeLegendItem().

Referenced by ImageProfilesTool::clone(), BaselineDialog::createBaseline(), FitDialog::deleteFitCurves(), deleteFitCurves(), ApplicationWindow::extractLayers(), BaselineDialog::modifyBaseline(), DataCurve::remove(), ApplicationWindow::remove3DMatrixPlots(), removeCurve(), ApplicationWindow::removeCurve(), CurvesDialog::removeCurves(), removeCurves(), removePie(), PlotDialog::removeSelectedObject(), and setPageGeometry().

## removeCurve [2/3]

void Graph::removeCurve | ( | int | index | ) |

slot

Removes a curve defined by its index.

References d_curves, and removeCurve().

## removeCurve [3/3]

void Graph::removeCurve | ( | const QString & | s | ) |

slot

Removes a curve defined by its title string s.

References curveIndex(), and removeCurve().

## removeCurves

void Graph::removeCurves | ( | const QString & | s | ) |

slot

Removes all curves defined by the title/plot association string s.

References d_curves, Function, and removeCurve().

Referenced by ApplicationWindow::removeCurves(), and setPageGeometry().

## removeLegend()

void Graph::removeLegend | ( |  | ) |

References legend().

Referenced by Differentiation::output(), FFT::outputGraphs(), setAxisStep(), LayerDialog::update(), and ApplicationWindow::zoomRectanglePlot().

## removeLegendItem()

void Graph::removeLegendItem | ( | int | index | ) |

References d_curves, d_enrichments, ErrorBars, LegendWidget::isAutoUpdateEnabled(), LegendWidget::setText(), and LegendWidget::text().

Referenced by removeCurve(), and setAxisStep().

## removeMarker()

void Graph::removeMarker | ( |  | ) |

References d_lines, d_markers_selector, and d_selected_arrow.

Referenced by ApplicationWindow::clearSelection(), ApplicationWindow::cutSelection(), drawLineActive(), and MultiPeakFitTool::finalize().

## removePie

void Graph::removePie | ( |  | ) |

slot

References curve(), modifiedGraph(), removeCurve(), and PieLabel::setPieCurve().

Referenced by setPageGeometry().

## removeTitle()

void Graph::removeTitle | ( |  | ) |

Sets title to an empty string and hides the text label.

References modifiedGraph().

Referenced by backgroundPixmap(), cutTitle(), Graph(), and showTitleContextMenu().

## resizeEvent()

void Graph::resizeEvent | ( | QResizeEvent * | e | ) |

References FrameWidget::attachPolicy(), d_enrichments, MultiLayer::hasSelectedLayers(), multiLayer(), FrameWidget::Page, FrameWidget::resetCoordinates(), FrameWidget::resetOrigin(), FrameWidget::updateCoordinates(), updateCurveLabels(), and updateLayout().

Referenced by fitCurvesList().

## restoreBackgroundImage()

void Graph::restoreBackgroundImage | ( | const QStringList & | lst | ) |

References d_canvas_bkg_path, and d_canvas_bkg_pix.

Referenced by ApplicationWindow::openGraph(), and setAxisStep().

## restoreCurveLabels()

void Graph::restoreCurveLabels | ( | int | curveID,
|  | const QStringList & | lst
| ) |  |

Used when restoring DataCurve curveID from a project file.

References curve(), and DataCurve::restoreLabels().

Referenced by ApplicationWindow::openGraph(), and selectionMoveResizer().

## restoreHistogram()

QwtHistogram * Graph::restoreHistogram | ( | Matrix * | m,
|  | const QStringList & | l
| ) |  |

Restores a histogram from a project file.

References insertCurve(), QwtHistogram::loadData(), QwtHistogram::setBinning(), QwtBarCurve::setGap(), QwtBarCurve::setOffset(), and DataCurve::setVisible().

Referenced by hasGridOnTop(), and ApplicationWindow::openGraph().

## restoreSpectrogram()

void Graph::restoreSpectrogram | ( | ApplicationWindow * | app,
|  | const QStringList & | lst
| ) |  |

Restores a spectrogram. Used when opening a project file.

References Spectrogram::clearLabels(), Spectrogram::Default, LinearColorMap::fromXmlStringList(), getPenStyle(), Spectrogram::GrayScale, insertCurve(), ApplicationWindow::matrix(), PenStyleBox::penStyle(), Spectrogram::setColorMapPen(), Spectrogram::setContourLevels(), Spectrogram::setContourPenList(), Spectrogram::setCustomColorMap(), Spectrogram::setDefaultColorMap(), Spectrogram::setGrayScale(), Spectrogram::setLabelOffset(), Spectrogram::setLabelsColor(), Spectrogram::setLabelsFont(), Spectrogram::setLabelsOffset(), Spectrogram::setLabelsRotation(), Spectrogram::setLabelsWhiteOut(), Spectrogram::setLevelsNumber(), Spectrogram::setUseMatrixFormula(), Spectrogram::setVisible(), and Spectrogram::showContourLineLabels().

Referenced by hasGridOnTop(), and ApplicationWindow::openGraph().

## restoreSymbolImage()

void Graph::restoreSymbolImage | ( | int | index,
|  | const QStringList & | lst
| ) |  |

References curve(), and d_curves.

Referenced by ApplicationWindow::openGraph(), and setAxisStep().

## reverseCurveOrder()

void Graph::reverseCurveOrder | ( |  | ) |

References d_curves, modifiedGraph(), and setCurvesList().

Referenced by MultiLayer::reverseWaterfallOrder(), and waterfallYOffset().

## rgbaName()

QString Graph::rgbaName | ( | const QColor & | color | ) |

static

Referenced by saveCurveLayout(), and setAxisStep().

## saveAxesBackbones()

QString Graph::saveAxesBackbones | ( |  | ) |

References drawAxesBackbone.

Referenced by saveToString(), and setAxisStep().

## saveAxesBaseline()

QString Graph::saveAxesBaseline | ( |  | ) |

Referenced by saveToString(), and setAxisStep().

## saveAxesColors()

QString Graph::saveAxesColors | ( |  | ) |

Referenced by saveToString(), and setAxisStep().

## saveAxesFormulas()

QString Graph::saveAxesFormulas | ( |  | ) |

References ScaleDraw::formula().

Referenced by saveToString(), and setAxisStep().

## saveAxesLabelsType()

QString Graph::saveAxesLabelsType | ( |  | ) |

References ScaleDraw::ColHeader, ScaleDraw::Date, ScaleDraw::Day, ScaleDraw::formatString(), ScaleDraw::Month, ScaleDraw::Numeric, ScaleDraw::scaleType(), ScaleDraw::Text, and ScaleDraw::Time.

Referenced by saveToString(), and setAxisStep().

## saveAxesTitleAlignement()

QString Graph::saveAxesTitleAlignement | ( |  | ) |

Referenced by saveToString(), and setAxisStep().

## saveAxesTitleColors()

QString Graph::saveAxesTitleColors | ( |  | ) |

Referenced by saveToString(), and setAxisStep().

## saveBackgroundImage()

QString Graph::saveBackgroundImage | ( |  | ) |

References d_canvas_bkg_path, and d_canvas_bkg_pix.

Referenced by saveToString(), and setAxisStep().

## saveCanvas()

QString Graph::saveCanvas | ( |  | ) |

References canvasFrameColor().

Referenced by saveToString(), and setAxisStep().

## saveCurveLayout()

QString Graph::saveCurveLayout | ( | int | index | ) |

References QwtHistogram::autoBinning(), QwtHistogram::begin(), QwtHistogram::binSize(), Box, BoxCurve::boxRange(), BoxCurve::boxRangeType(), BoxCurve::boxStyle(), BoxCurve::boxWidth(), VectorCurve::color(), curve(), QwtHistogram::end(), VectorCurve::filledArrowHead(), QwtBarCurve::gap(), VectorCurve::headAngle(), VectorCurve::headLength(), Histogram, HorizontalBars, LineSymbols, BoxCurve::maxStyle(), BoxCurve::meanStyle(), BoxCurve::minStyle(), QwtBarCurve::offset(), BoxCurve::p1Style(), BoxCurve::p99Style(), PatternBox::patternIndex(), VectorCurve::plotAssociation(), PlotCurve::plotStyle(), VectorCurve::position(), rgbaName(), Spline, SymbolBox::symbolIndex(), VectXYAM, VectXYXY, VerticalBars, VerticalSteps, BoxCurve::whiskersRange(), BoxCurve::whiskersRangeType(), and VectorCurve::width().

Referenced by saveCurves(), and setAxisStep().

## saveCurves()

QString Graph::saveCurves | ( |  | ) |

References Box, ErrorBarsCurve::capLength(), ErrorBarsCurve::color(), curveIndex(), d_curves, ErrorBarsCurve::direction(), DataCurve::endRow(), ErrorBars, Function, Histogram, isPiePlot(), ErrorBarsCurve::masterCurve(), ErrorBarsCurve::minusSide(), ErrorBarsCurve::plusSide(), saveCurveLayout(), savePieCurveLayout(), DataCurve::saveToString(), DataCurve::startRow(), ErrorBarsCurve::throughSymbol(), PlotCurve::type(), ErrorBarsCurve::width(), and DataCurve::xColumnName().

Referenced by saveToString(), and setAxisStep().

## saveEnabledAxes()

QString Graph::saveEnabledAxes | ( |  | ) |

Referenced by saveToString(), and setAxisStep().

## saveEnabledTickLabels()

QString Graph::saveEnabledTickLabels | ( |  | ) |

Referenced by saveToString(), and setAxisStep().

## saveFonts()

QString Graph::saveFonts | ( |  | ) |

Referenced by saveToString(), and setAxisStep().

## saveLabelsFormat()

QString Graph::saveLabelsFormat | ( |  | ) |

References axisLabelFormat(), and axisLabelPrecision().

Referenced by saveToString(), and setAxisStep().

## saveLabelsPrefixAndSuffix()

QString Graph::saveLabelsPrefixAndSuffix | ( |  | ) |

References ScaleDraw::prefix(), and ScaleDraw::suffix().

Referenced by saveToString(), and setAxisStep().

## saveLabelsRotation()

QString Graph::saveLabelsRotation | ( |  | ) |

References labelsRotation().

Referenced by saveToString(), and setAxisStep().

## saveMarkers()

QString Graph::saveMarkers | ( |  | ) |

References ArrowMarker::attachPolicy(), ArrowMarker::color(), d_enrichments, d_lines, ArrowMarker::endPointCoord(), ArrowMarker::filledArrowHead(), ArrowMarker::hasEndArrow(), ArrowMarker::hasStartArrow(), ArrowMarker::headAngle(), ArrowMarker::headLength(), penStyleName(), FrameWidget::saveToString(), ArrowMarker::startPointCoord(), ArrowMarker::style(), and ArrowMarker::width().

Referenced by saveToString(), and setAxisStep().

## savePieCurveLayout

QString Graph::savePieCurveLayout | ( |  | ) |

slot

References PieCurve::color(), PieCurve::counterClockwise(), curve(), DataCurve::endRow(), PieCurve::firstColor(), PieCurve::fixedLabelsPosition(), PieCurve::horizontalOffset(), PieCurve::labelCategories(), PieCurve::labelsAutoFormat(), PieCurve::labelsEdgeDistance(), PieCurve::labelsPercentagesFormat(), PieCurve::labelsValuesFormat(), PieCurve::pattern(), PatternBox::patternIndex(), penStyleName(), PieCurve::radius(), PieCurve::startAzimuth(), DataCurve::startRow(), PieCurve::thickness(), and PieCurve::viewAngle().

Referenced by saveCurves(), and setPageGeometry().

## saveScale()

QString Graph::saveScale | ( |  | ) |

References d_user_step, and ScaleEngine::type().

Referenced by saveToString(), and setAxisStep().

## saveScaleTitles()

QString Graph::saveScaleTitles | ( |  | ) |

References axisTitleString().

Referenced by saveToString(), and setAxisStep().

## saveTickLabelsSpace()

QString Graph::saveTickLabelsSpace | ( |  | ) |

References ScaleDraw::showTicksPolicy().

Referenced by saveToString(), and setAxisStep().

## saveTicksType()

QString Graph::saveTicksType | ( |  | ) |

References getMajorTicksType(), and getMinorTicksType().

Referenced by saveToString(), and setAxisStep().

## saveTitle()

QString Graph::saveTitle | ( |  | ) |

Referenced by saveToString(), and setAxisStep().

## saveToString()

QString Graph::saveToString | ( | bool | saveAsTemplate = `false` | ) |

References autoScaleFonts, axesLinewidth(), MultiLayer::canvas(), curve(), d_antialiasing, d_auto_scale, d_curves, d_Douglas_Peuker_tolerance, d_grid_on_top, d_image_profiles_tool, d_missing_data_gap, d_speed_mode_points, d_waterfall_offset_x, d_waterfall_offset_y, frameColor(), grid(), isWaterfallPlot(), majorTickLength(), minorTickLength(), multiLayer(), paletteBackgroundColor(), saveAxesBackbones(), saveAxesBaseline(), saveAxesColors(), saveAxesFormulas(), saveAxesLabelsType(), saveAxesTitleAlignement(), saveAxesTitleColors(), saveBackgroundImage(), saveCanvas(), saveCurves(), saveEnabledAxes(), saveEnabledTickLabels(), saveFonts(), saveLabelsFormat(), saveLabelsPrefixAndSuffix(), saveLabelsRotation(), saveMarkers(), saveScale(), saveScaleTitles(), saveTickLabelsSpace(), saveTicksType(), saveTitle(), Grid::saveToString(), and PlotCurve::sideLinesEnabled().

Referenced by MultiLayer::save(), and setAxisStep().

## scaleFonts()

void Graph::scaleFonts | ( | double | factor | ) |

References curvesList(), d_enrichments, LegendWidget::font(), Function, notifyFontChange(), FrameWidget::resetOrigin(), setAxisFont(), and LegendWidget::setFont().

Referenced by fitCurvesList(), MultiLayer::resizeLayers(), setCanvasGeometry(), and setCanvasSize().

## select()

void Graph::select | ( | QWidget * | l,
|  | bool | add = `false`
| ) |  |

References currentColorChanged(), currentFontChanged(), d_active_enrichment, d_markers_selector, ScalePicker::deselect(), deselectCurves(), modifiedGraph(), scalePicker, selectionChanged(), selectorDeleted(), and selectTitle().

Referenced by FrameWidget::mousePressEvent(), SelectionMoveResizer::mousePressEvent(), and setActiveText().

## selectCanvas()

void Graph::selectCanvas | ( |  | ) |

References selectedCanvas().

Referenced by enrichmentsList(), and CanvasPicker::eventFilter().

## selectedArrow()

ArrowMarker* Graph::selectedArrow | ( |  | ) |

inline

References axisColor(), axisLabelsColor(), axisTitleAlignment(), axisTitleColor(), axisTitleDistance(), axisTitleFont(), axisTitleRect(), axisTitleSelected(), axisTitleString(), axisType(), currentScale(), d_selected_arrow, deselectMarker(), drawAxesBackbones(), enableAxis(), enableAxisLabels(), initFonts(), labelsRotation(), loadAxesLinewidth(), markerSelected(), selectedScale(), setAxisColor(), setAxisFont(), setAxisLabelRotation(), setAxisLabelsColor(), setAxisTitle(), setAxisTitleAlignment(), setAxisTitleColor(), setAxisTitleDistance(), setAxisTitleFont(), setAxisTitleString(), setRightAxisTitle(), setScaleTitle(), setTopAxisTitle(), setXAxisTitle(), setYAxisTitle(), ScaleDraw::ShowAll, showAxis(), updateAxesTitles(), and updateAxisTitle().

Referenced by ApplicationWindow::copyMarker(), CanvasPicker::eventFilter(), and ApplicationWindow::showLineDialog().

## selectedCanvas

void Graph::selectedCanvas | ( | Graph * |  | ) |

signal

Referenced by selectCanvas(), and waterfallYOffset().

## selectedCurveLabels()

QwtPlotItem * Graph::selectedCurveLabels | ( |  | ) |

References curvesList(), and Function.

Referenced by ApplicationWindow::clearSelection(), CanvasPicker::eventFilter(), and selectionMoveResizer().

## selectedGraph

void Graph::selectedGraph | ( | Graph * |  | ) |

signal

Referenced by activateGraph(), selectTitle(), and waterfallYOffset().

## selectedScale()

QwtScaleWidget * Graph::selectedScale | ( |  | ) |

References scalePicker, and ScalePicker::selectedAxis().

Referenced by ApplicationWindow::enableTextEditor(), selectedArrow(), and TextEditor::TextEditor().

## selectedXEndValue()

double Graph::selectedXEndValue | ( |  | ) |

References d_range_selector.

Referenced by InterpolationDialog::changeDataRange(), IntegrationDialog::changeDataRange(), PolynomFitDialog::changeDataRange(), ExpDecayDialog::changeDataRange(), FitDialog::changeDataRange(), and curveCount().

## selectedXStartValue()

double Graph::selectedXStartValue | ( |  | ) |

References d_range_selector.

Referenced by InterpolationDialog::changeDataRange(), IntegrationDialog::changeDataRange(), PolynomFitDialog::changeDataRange(), ExpDecayDialog::changeDataRange(), FitDialog::changeDataRange(), and curveCount().

## selectionChanged

void Graph::selectionChanged | ( | SelectionMoveResizer * |  | ) |

signal

Referenced by select(), selectorDeleted(), and waterfallYOffset().

## selectionMoveResizer()

QPointer<SelectionMoveResizer> Graph::selectionMoveResizer | ( |  | ) |

inline

References d_markers_selector, restoreCurveLabels(), and selectedCurveLabels().

Referenced by ApplicationWindow::alignBottom(), ApplicationWindow::alignLeft(), ApplicationWindow::alignRight(), ApplicationWindow::alignTop(), ApplicationWindow::custom2DPlotTools(), and ApplicationWindow::raiseActiveEnrichment().

## selectorDeleted

void Graph::selectorDeleted | ( |  | ) |

private slot

References d_markers_selector, and selectionChanged().

Referenced by select(), and waterfallYOffset().

## selectTitle()

void Graph::selectTitle | ( | bool | select = `true` | ) |

References currentColorChanged(), currentFontChanged(), deselect(), selectedGraph(), TitlePicker::setSelected(), and titlePicker.

Referenced by backgroundPixmap(), Graph(), select(), DataCurve::setLabelsSelected(), and setSelectedArrow().

## setActiveText()

void Graph::setActiveText | ( | LegendWidget * | l | ) |

inline

References add(), d_active_enrichment, and select().

Referenced by TextEditor::closeEvent().

## setActiveTool()

void Graph::setActiveTool | ( | PlotToolInterface * | tool | ) |

Change the active tool, deleting the old one if it exists.

References d_active_tool, d_image_profiles_tool, d_peak_fit_tool, d_range_selector, PlotToolInterface::rtti(), PlotToolInterface::Rtti_ImageProfilesTool, and PlotToolInterface::Rtti_MultiPeakFitTool.

Referenced by ApplicationWindow::addEllipse(), AddWidgetTool::addEquation(), ApplicationWindow::addRectangle(), ApplicationWindow::addTexFormula(), AddWidgetTool::addText(), ApplicationWindow::addText(), MultiLayer::copy(), BaselineDialog::disableBaselineTool(), ApplicationWindow::drawPoints(), AddWidgetTool::eventFilter(), SubtractLineTool::finalize(), ApplicationWindow::fitMultiPeak(), DataPickerTool::keyEventFilter(), BaselineDialog::modifyBaseline(), LineProfileTool::mouseReleaseEvent(), ApplicationWindow::movePoints(), ApplicationWindow::openGraph(), ApplicationWindow::pixelLineProfile(), ApplicationWindow::removePoints(), TranslateCurveTool::selectCurvePoint(), TranslateCurveTool::selectDestination(), ApplicationWindow::showCursor(), ApplicationWindow::showScreenReader(), ApplicationWindow::subtractStraightLine(), ApplicationWindow::translateCurve(), and EnrichmentDialog::~EnrichmentDialog().

## setAntialiasing()

void Graph::setAntialiasing | ( | bool | on = `true`,
|  | bool | update = `true`
| ) |  |

Enables/Disables antialiasing of plot items.

References d_antialiasing, d_curves, d_lines, and isCurveAntialiasingEnabled().

Referenced by antialiasing(), PlotDialog::applyFormatToLayer(), copy(), ApplicationWindow::openGraph(), ApplicationWindow::setGraphDefaultSettings(), and ApplicationWindow::setPreferences().

## setAutoScale()

void Graph::setAutoScale | ( |  | ) |

References d_user_step, modifiedGraph(), and updateScale().

Referenced by PlotDialog::acceptParams(), BaselineDialog::createBaseline(), ApplicationWindow::plotDoubleYAxis(), ApplicationWindow::setAutoScale(), setAxisStep(), and showAxisContextMenu().

## setAutoscaleFonts()

void Graph::setAutoscaleFonts | ( | bool | on = `true` | ) |

inline

References autoScaleFonts, clearAxisTitle(), copyAxisTitle(), copyTitle(), cutAxisTitle(), cutTitle(), getPenStyle(), hideSelectedAxis(), obsoleteSymbolStyle(), penStyleName(), removeAxisTitle(), setGridOnTop(), showAxisContextMenu(), showAxisTitleMenu(), showGrid(), showGrids(), showPlotErrorMessage(), and showTitleContextMenu().

Referenced by PlotDialog::applyFormatToLayer(), MultiLayer::arrangeLayers(), MultiLayer::copy(), ApplicationWindow::openGraph(), MultiLayer::setEqualSizedLayers(), ApplicationWindow::setGraphDefaultSettings(), and ApplicationWindow::setPreferences().

## setAxesLinewidth()

void Graph::setAxesLinewidth | ( | int | width | ) |

References axesLinewidth(), d_grid, modifiedGraph(), Grid::xZeroLineMarker(), and Grid::yZeroLineMarker().

Referenced by AxesDialog::applyCanvasFormatTo(), copy(), loadAxesLinewidth(), setCurvesList(), and ApplicationWindow::setPreferences().

## setAxisColor()

void Graph::setAxisColor | ( | int | axis,
|  | const QColor & | color
| ) |  |

References d_grid, Grid::xZeroLineMarker(), and Grid::yZeroLineMarker().

Referenced by ApplicationWindow::openGraph(), and selectedArrow().

## setAxisFont()

void Graph::setAxisFont | ( | int | axis,
|  | const QFont & | fnt
| ) |  |

References modifiedGraph().

Referenced by AxesDialog::applyAxisFormatToLayer(), copyScaleWidget(), AxesDialog::customAxisFont(), initFonts(), ApplicationWindow::openGraph(), scaleFonts(), selectedArrow(), and MultiLayer::setFonts().

## setAxisFormula()

void Graph::setAxisFormula | ( | int | axis,
|  | const QString & | formula
| ) |  |

References ScaleDraw::setFormula().

Referenced by axesBackbones(), and ApplicationWindow::openGraph().

## setAxisLabelRotation()

void Graph::setAxisLabelRotation | ( | int | axis,
|  | int | rotation
| ) |  |

Referenced by copy(), ApplicationWindow::openGraph(), MultiLayer::plotProfiles(), selectedArrow(), and showAxis().

## setAxisLabelsColor()

void Graph::setAxisLabelsColor | ( | int | axis,
|  | const QColor & | color
| ) |  |

Referenced by ApplicationWindow::openGraph(), and selectedArrow().

## setAxisMargin()

void Graph::setAxisMargin | ( | int | axis,
|  | int | margin
| ) |  |

Referenced by axesBackbones(), and ApplicationWindow::openGraph().

## setAxisStep()

void Graph::setAxisStep | ( | int | axis,
|  | double | step
| ) |  |

inline

References addArrow(), addText(), addTimeStamp(), d_user_step, guessUniqueCurveLayout(), initCurveLayout(), insertLegend(), insertText(), legend(), legendText(), newLegend(), removeLegend(), removeLegendItem(), restoreBackgroundImage(), restoreSymbolImage(), rgbaName(), saveAxesBackbones(), saveAxesBaseline(), saveAxesColors(), saveAxesFormulas(), saveAxesLabelsType(), saveAxesTitleAlignement(), saveAxesTitleColors(), saveBackgroundImage(), saveCanvas(), saveCurveLayout(), saveCurves(), saveEnabledAxes(), saveEnabledTickLabels(), saveFonts(), saveLabelsFormat(), saveLabelsPrefixAndSuffix(), saveLabelsRotation(), saveMarkers(), saveScale(), saveScaleTitles(), saveTickLabelsSpace(), saveTicksType(), saveTitle(), saveToString(), setAutoScale(), setCanvasCoordinates(), setLegend(), updateCurveLayout(), updateScale(), zoom(), zoomed(), zoomOn(), and zoomOut().

## setAxisTicksLength()

void Graph::setAxisTicksLength | ( | int | axis,
|  | int | majTicksType,
|  | int | minTicksType,
|  | int | minLength,
|  | int | majLength
| ) |  |

References ScaleDraw::In, ScaleDraw::None, ScaleDraw::setMajorTicksStyle(), ScaleDraw::setMinorTicksStyle(), and setTickLength().

Referenced by AxesDialog::applyAxisFormatToLayer(), axesBackbones(), copyScaleDraw(), setTicksLength(), and showAxis().

## setAxisTitle()

void Graph::setAxisTitle | ( | int | axis,
|  | const QString & | text
| ) |  |

References modifiedGraph(), and setAxisTitleString().

Referenced by ApplicationWindow::addInsetLayer(), TextDialog::apply(), clearAxisTitle(), TextEditor::closeEvent(), FFT::outputGraphs(), ApplicationWindow::plotImage(), MultiLayer::plotProfiles(), removeAxisTitle(), selectedArrow(), MultiLayer::setFonts(), ApplicationWindow::setPreferences(), setRightAxisTitle(), setScaleTitle(), setTopAxisTitle(), setXAxisTitle(), setYAxisTitle(), AxesDialog::updatePlot(), and ApplicationWindow::zoomRectanglePlot().

## setAxisTitleAlignment()

void Graph::setAxisTitleAlignment | ( | int | axis,
|  | int | align
| ) |  |

Referenced by ApplicationWindow::openGraph(), and selectedArrow().

## setAxisTitleColor()

void Graph::setAxisTitleColor | ( | int | axis,
|  | const QColor & | c
| ) |  |

Referenced by ApplicationWindow::openGraph(), AxesDialog::pickAxisLabelColor(), and selectedArrow().

## setAxisTitleDistance()

void Graph::setAxisTitleDistance | ( | int | axis,
|  | int | dist
| ) |  |

Referenced by ApplicationWindow::openGraph(), selectedArrow(), ApplicationWindow::setPreferences(), and AxesDialog::updatePlot().

## setAxisTitleFont()

void Graph::setAxisTitleFont | ( | int | axis,
|  | const QFont & | fnt
| ) |  |

References modifiedGraph().

Referenced by AxesDialog::customAxisLabelFont(), ApplicationWindow::openGraph(), and selectedArrow().

## setAxisTitlePolicy()

void Graph::setAxisTitlePolicy | ( | const AxisTitlePolicy & | policy | ) |

inline

References d_axis_title_policy.

Referenced by ConfigDialog::apply(), copy(), ApplicationWindow::openGraph(), and ApplicationWindow::setPreferences().

## setAxisTitleString()

void Graph::setAxisTitleString | ( | int | axis,
|  | const QString & | text
| ) |  |

References d_axis_titles, and parseAxisTitle().

Referenced by selectedArrow(), setAxisTitle(), and MultiLayer::setCommonLayerAxes().

## setBackgroundColor()

void Graph::setBackgroundColor | ( | const QColor & | color | ) |

References modifiedGraph().

Referenced by ApplicationWindow::addInsetLayer(), PlotDialog::applyFormatToLayer(), copy(), ApplicationWindow::openGraph(), MultiLayer::plotProfiles(), rangeSelectorTool(), MultiLayer::setCommonLayerAxes(), and ApplicationWindow::setPreferences().

## setBarsGap()

void Graph::setBarsGap | ( | int | curve,
|  | int | gapPercent,
|  | int | offset
| ) |  |

Used for VerticalBars, HorizontalBars and Histograms.

References curve(), QwtBarCurve::gap(), QwtBarCurve::offset(), QwtBarCurve::setGap(), and QwtBarCurve::setOffset().

Referenced by PlotDialog::acceptParams(), fitCurvesList(), and ApplicationWindow::openGraph().

## setCanvasBackgroundImage()

void Graph::setCanvasBackgroundImage | ( | const QString & | fn = `QString()`,
|  | bool | update = `true`
| ) |  |

References d_canvas_bkg_path, and d_canvas_bkg_pix.

Referenced by PlotDialog::applyCanvasFormatToLayer(), canvasBackgroundFileName(), and copy().

## setCanvasCoordinates()

void Graph::setCanvasCoordinates | ( | const QRectF & | r | ) |

References setScale().

Referenced by setAxisStep(), and ApplicationWindow::zoomRectanglePlot().

## setCanvasFrame()

void Graph::setCanvasFrame | ( | int | width = `1`,
|  | const QColor & | color = `QColor(Qt::black)`
| ) |  |

References modifiedGraph().

Referenced by AxesDialog::applyCanvasFormatTo(), PlotDialog::applyCanvasFormatToLayer(), axesBackbones(), copy(), ApplicationWindow::openGraph(), ApplicationWindow::setPreferences(), ApplicationWindow::waterfallPlot(), and ApplicationWindow::zoomRectanglePlot().

## setCanvasGeometry() [1/2]

void Graph::setCanvasGeometry | ( | const QRect & | cr | ) |

Adjust plot content to its canvas size.

Parameters

  cr | The new geometry of the canvas.

References autoScaleFonts, scaleFonts(), and updateMarkersBoundingRect().

Referenced by PlotDialog::acceptParams(), MultiLayer::arrangeLayers(), ApplicationWindow::pasteSelection(), MultiLayer::plotProfiles(), MultiLayer::resizeLayers(), and setCurvesList().

## setCanvasGeometry() [2/2]

void Graph::setCanvasGeometry | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

inline

Convenience function for scripts.

References setCanvasGeometry(), and setCanvasSize().

Referenced by setCanvasGeometry().

## setCanvasSize() [1/2]

void Graph::setCanvasSize | ( | const QSize & | size | ) |

Adjust plot content to its canvas size.

Parameters

  cr | The new size of the canvas.

References autoScaleFonts, scaleFonts(), and updateMarkersBoundingRect().

Referenced by PlotDialog::applyCanvasSize(), MultiLayer::arrangeLayers(), PlotDialog::resizeLayerToFitImage(), and setCanvasGeometry().

## setCanvasSize() [2/2]

void Graph::setCanvasSize | ( | int | w,
|  | int | h
| ) |  |

inline

Convenience function for scripts.

References add(), addLegendItem(), addTexFormula(), boundingRect(), copy(), raiseEnrichements(), setCanvasSize(), and updateCurveLabels().

Referenced by setCanvasSize().

## setCurrentColor()

void Graph::setCurrentColor | ( | const QColor & | c | ) |

References curvesList(), d_active_enrichment, Function, ScalePicker::labelsSelected(), modifiedGraph(), scalePicker, TitlePicker::selected(), ScalePicker::selectedAxis(), LegendWidget::setTextColor(), titlePicker, and ScalePicker::titleSelected().

Referenced by maxAntialisingSize(), and ApplicationWindow::setTextColor().

## setCurrentFont()

void Graph::setCurrentFont | ( | const QFont & | f | ) |

References curvesList(), d_active_enrichment, Function, ScalePicker::labelsSelected(), modifiedGraph(), scalePicker, TitlePicker::selected(), ScalePicker::selectedAxis(), LegendWidget::setFont(), setTitleFont(), titlePicker, ScalePicker::titleSelected(), and updateMarkersBoundingRect().

Referenced by notifyColorChange(), ApplicationWindow::setBoldFont(), ApplicationWindow::setFontFamily(), ApplicationWindow::setFontSize(), and ApplicationWindow::setItalicFont().

## setCurveFullRange()

void Graph::setCurveFullRange | ( | int | curveIndex | ) |

References curve(), modifiedGraph(), DataCurve::setFullRange(), and updatePlot().

Referenced by curve(), and ApplicationWindow::setCurveFullRange().

## setCurveLineColor() [1/2]

void Graph::setCurveLineColor | ( | int | curveIndex,
|  | int | colorIndex
| ) |  |

References curve(), ColorBox::defaultColor(), and modifiedGraph().

Referenced by curve().

## setCurveLineColor() [2/2]

void Graph::setCurveLineColor | ( | int | curveIndex,
|  | QColor | qColor
| ) |  |

References curve(), and modifiedGraph().

## setCurveLineStyle()

void Graph::setCurveLineStyle | ( | int | curveIndex,
|  | Qt::PenStyle | style
| ) |  |

References curve(), and modifiedGraph().

Referenced by curve().

## setCurveLineWidth()

void Graph::setCurveLineWidth | ( | int | curveIndex,
|  | double | width
| ) |  |

References curve(), and modifiedGraph().

Referenced by curve().

## setCurvesList()

void Graph::setCurvesList | ( | QList< QwtPlotItem *> | lst | ) |

inline

References axesLinewidth(), axisLabelFormat(), axisLabelPrecision(), closestCurve(), d_curves, frameColor(), getMajorTicksType(), getMinorTicksType(), insertMarker(), majorTickLength(), minorTickLength(), paletteBackgroundColor(), print(), setAxesLinewidth(), setCanvasGeometry(), setMajorTicksType(), setMinorTicksType(), setTickLength(), and updateLayout().

Referenced by reverseCurveOrder().

## setCurveStyle()

void Graph::setCurveStyle | ( | int | index,
|  | int | s
| ) |  |

References Box, curve(), ErrorBars, Function, Histogram, HorizontalBars, HorizontalSteps, Line, LineSymbols, Pie, PlotCurve::plotStyle(), Scatter, PlotCurve::setPlotStyle(), Spline, VectXYAM, VectXYXY, VerticalBars, VerticalDropLines, and VerticalSteps.

Referenced by PlotDialog::acceptParams(), PlotDialog::applyLineFormatToLayer(), PlotDialog::changePlotType(), curve(), and FunctionCurve::restore().

## setFrame()

void Graph::setFrame | ( | int | width = `1`,
|  | const QColor & | color = `Qt::black`
| ) |  |

References frameColor().

Referenced by PlotDialog::applyFormatToLayer(), copy(), ApplicationWindow::openGraph(), plotPie(), rangeSelectorTool(), ApplicationWindow::setPreferences(), and ApplicationWindow::waterfallPlot().

## setGrayScale()

void Graph::setGrayScale | ( |  | ) |

References d_curves, ErrorBars, isPiePlot(), ErrorBarsCurve::masterCurve(), modifiedGraph(), ErrorBarsCurve::setColor(), and PlotCurve::type().

Referenced by curve().

## setGridOnTop()

void Graph::setGridOnTop | ( | bool | on = `true`,
|  | bool | update = `true`
| ) |  |

References d_grid, d_grid_on_top, and modifiedGraph().

Referenced by PlotDialog::acceptParams(), ApplicationWindow::openGraph(), and setAutoscaleFonts().

## setIndexedColors()

void Graph::setIndexedColors | ( |  | ) |

References MdiSubWindow::applicationWindow(), d_curves, ColorBox::defaultColors(), ErrorBars, ApplicationWindow::indexedColors(), ErrorBarsCurve::masterCurve(), modifiedGraph(), multiLayer(), ErrorBarsCurve::setColor(), and PlotCurve::type().

Referenced by curve().

## setLabelsDateTimeFormat()

void Graph::setLabelsDateTimeFormat | ( | int | axis,
|  | int | type,
|  | const QString & | formatInfo
| ) |  |

References ScaleDraw::Date, drawAxesBackbone, ScaleDraw::formatString(), ScaleDraw::scaleType(), ScaleDraw::setDateFormat(), ScaleDraw::setTimeFormat(), and ScaleDraw::Time.

Referenced by axesBackbones(), copyScaleDraw(), insertCurve(), ApplicationWindow::openGraph(), showAxis(), and updateSecondaryAxis().

## setLabelsDayFormat()

void Graph::setLabelsDayFormat | ( | int | axis,
|  | int | format
| ) |  |

References ScaleDraw::setDayFormat().

Referenced by axesBackbones(), copyScaleDraw(), ApplicationWindow::openGraph(), showAxis(), and updateSecondaryAxis().

## setLabelsMonthFormat()

void Graph::setLabelsMonthFormat | ( | int | axis,
|  | int | format
| ) |  |

References ScaleDraw::setMonthFormat().

Referenced by axesBackbones(), copyScaleDraw(), ApplicationWindow::openGraph(), showAxis(), and updateSecondaryAxis().

## setLabelsNumericFormat() [1/2]

void Graph::setLabelsNumericFormat | ( | const QStringList & | l | ) |

Used for restoring project files.

References ScaleDraw::formula().

Referenced by axesBackbones(), copyScaleDraw(), ApplicationWindow::openGraph(), and showAxis().

## setLabelsNumericFormat() [2/2]

void Graph::setLabelsNumericFormat | ( | int | axis,
|  | int | format,
|  | int | prec = `6`,
|  | const QString & | formula = `QString()`
| ) |  |

References ScaleDraw::setNumericFormat(), and ScaleDraw::setNumericPrecision().

## setLabelsTextFormat() [1/2]

void Graph::setLabelsTextFormat | ( | int | axis,
|  | int | type,
|  | const QString & | name,
|  | const QStringList & | lst
| ) |  |

References ScaleDraw::ColHeader, ScaleDraw::formatString(), ScaleDraw::labelsList(), ScaleDraw::scaleType(), and ScaleDraw::Text.

Referenced by axesBackbones(), DataCurve::loadData(), ApplicationWindow::openGraph(), and showAxis().

## setLabelsTextFormat() [2/2]

void Graph::setLabelsTextFormat | ( | int | axis,
|  | int | type,
|  | const QString & | labelsColName,
|  | Table * | table
| ) |  |

References ScaleDraw::ColHeader, Table::colIndex(), Table::colLabel(), Table::colPlotDesignation(), Table::numCols(), Table::numRows(), ScaleDraw::Text, Table::text(), and Table::Y.

## setLegend()

void Graph::setLegend | ( | const QString & | s | ) |

References legend(), and LegendWidget::setText().

Referenced by setAxisStep().

## setMajorTicksType() [1/3]

void Graph::setMajorTicksType | ( | int | axis,
|  | int | type
| ) |  |

References ScaleDraw::setMajorTicksStyle().

Referenced by axesBackbones(), ApplicationWindow::openGraph(), setCurvesList(), setMajorTicksType(), and ApplicationWindow::setPreferences().

## setMajorTicksType() [2/3]

void Graph::setMajorTicksType | ( | const QList< int > & | lst | ) |

References getMajorTicksType(), ScaleDraw::In, majorTickLength(), minorTickLength(), ScaleDraw::None, and ScaleDraw::setMajorTicksStyle().

## setMajorTicksType() [3/3]

void Graph::setMajorTicksType | ( | const QStringList & | lst | ) |

References setMajorTicksType().

## setMinorTicksType() [1/3]

void Graph::setMinorTicksType | ( | int | axis,
|  | int | type
| ) |  |

References ScaleDraw::setMinorTicksStyle().

Referenced by axesBackbones(), ApplicationWindow::openGraph(), setCurvesList(), setMinorTicksType(), and ApplicationWindow::setPreferences().

## setMinorTicksType() [2/3]

void Graph::setMinorTicksType | ( | const QList< int > & | lst | ) |

References getMinorTicksType(), and setMinorTicksType().

## setMinorTicksType() [3/3]

void Graph::setMinorTicksType | ( | const QStringList & | lst | ) |

References setMinorTicksType().

## setPageGeometry()

void Graph::setPageGeometry | ( | const QRectF & | r | ) |

inline

References addCurves(), copy(), copyCurves(), copyEnrichments(), copyScaleDraw(), copyScaleWidget(), d_page_rect, insertCurve(), insertPlotItem(), isPiePlot(), pieLegendText(), plotPie(), reloadCurvesData(), removeCurve(), removeCurves(), removePie(), savePieCurveLayout(), showCurve(), updateCurvesData(), and visibleCurves().

Referenced by ApplicationWindow::openGraph(), and MultiLayer::resizeLayers().

## setRightAxisTitle()

void Graph::setRightAxisTitle | ( | const QString & | text | ) |

References modifiedGraph(), and setAxisTitle().

Referenced by selectedArrow().

## setScale()

void Graph::setScale | ( | int | axis,
|  | double | start,
|  | double | end,
|  | double | step = `0.0`,
|  | int | majorTicks = `5`,
|  | int | minorTicks = `5`,
|  | int | type = `0`,
|  | bool | inverted = `false`,
|  | double | left_break = `-DBL_MAX`,
|  | double | right_break = `DBL_MAX`,
|  | int | pos = `50`,
|  | double | stepBeforeBreak = `0.0`,
|  | double | stepAfterBreak = `0.0`,
|  | int | minTicksBeforeBreak = `4`,
|  | int | minTicksAfterBreak = `4`,
|  | bool | log10AfterBreak = `false`,
|  | int | breakWidth = `4`,
|  | bool | breakDecoration = `true`
| ) |  |

References axisBoundingInterval(), axisDivChanged(), d_synchronize_scales, d_user_step, d_zoomer, ScaleEngine::divideScale(), ScaleEngine::drawBreakDecoration(), ScaleTransformation::Ln, ScaleTransformation::Log10, ScaleTransformation::Log2, ScaleTransformation::Reciprocal, ScaleEngine::setBreakPosition(), ScaleEngine::setBreakRegion(), ScaleEngine::setBreakWidth(), ScaleEngine::setLog10ScaleAfterBreak(), ScaleEngine::setMinTicksAfterBreak(), ScaleEngine::setMinTicksBeforeBreak(), ScaleEngine::setStepAfterBreak(), ScaleEngine::setStepBeforeBreak(), ScaleEngine::setType(), updateMarkersBoundingRect(), and updateSecondaryAxis().

Referenced by copyScaleDraw(), curve(), ImageProfilesTool::modifiedMatrix(), ApplicationWindow::openGraph(), ApplicationWindow::plotImage(), MultiLayer::plotProfiles(), setCanvasCoordinates(), MultiLayer::updateLayerAxes(), and AxesDialog::updatePlot().

## setScaleTitle()

void Graph::setScaleTitle | ( | int | axis,
|  | const QString & | text
| ) |  |

TODO: eliminate this function in version 0.9.1 (used only when restoring project files)

References setAxisTitle().

Referenced by ApplicationWindow::openGraph(), and selectedArrow().

## setSelectedArrow()

void Graph::setSelectedArrow | ( | ArrowMarker * | mrk,
|  | bool | add = `false`
| ) |  |

Set the selected arrow.

Parameters

  mrk | key of the arrow to be selected.
  add | whether the arrow is to be added to an existing selection. If add is false (the default) or there is no existing selection, a new SelectionMoveResizer is created and stored in d_markers_selector.

References d_lines, d_markers_selector, d_selected_arrow, ScalePicker::deselect(), ArrowMarker::editable(), modifiedGraph(), scalePicker, and selectTitle().

Referenced by drawLineActive(), and CanvasPicker::selectMarker().

## setSynchronizedScaleDivisions()

void Graph::setSynchronizedScaleDivisions | ( | bool | on | ) |

inline

References d_synchronize_scales.

Referenced by ConfigDialog::apply(), ApplicationWindow::openGraph(), and ApplicationWindow::setPreferences().

## setTickLength()

void Graph::setTickLength | ( | int | minLength,
|  | int | majLength
| ) |  |

References d_maj_tick_length, and d_min_tick_length.

Referenced by setAxisTicksLength(), and setCurvesList().

## setTicksLength()

void Graph::setTicksLength | ( | int | minLength,
|  | int | majLength
| ) |  |

References getMajorTicksType(), getMinorTicksType(), and setAxisTicksLength().

Referenced by axesBackbones(), changeTicksLength(), ApplicationWindow::openGraph(), and ApplicationWindow::setPreferences().

## setTitleAlignment()

void Graph::setTitleAlignment | ( | int | align | ) |

References modifiedGraph().

Referenced by backgroundPixmap(), and ApplicationWindow::openGraph().

## setTitleColor()

void Graph::setTitleColor | ( | const QColor & | c | ) |

References modifiedGraph().

Referenced by backgroundPixmap(), and ApplicationWindow::openGraph().

## setTitleFont()

void Graph::setTitleFont | ( | const QFont & | fnt | ) |

References modifiedGraph().

Referenced by backgroundPixmap(), ApplicationWindow::openGraph(), and setCurrentFont().

## setTopAxisTitle()

void Graph::setTopAxisTitle | ( | const QString & | text | ) |

References modifiedGraph(), and setAxisTitle().

Referenced by selectedArrow().

## setWaterfallFillColor()

void Graph::setWaterfallFillColor | ( | const QColor & | c | ) |

References curve(), d_curves, and modifiedGraph().

Referenced by MultiLayer::setWaterfallFillColor(), and waterfallYOffset().

## setWaterfallOffset()

void Graph::setWaterfallOffset | ( | int | x,
|  | int | y,
|  | bool | update = `false`
| ) |  |

References d_waterfall_offset_x, d_waterfall_offset_y, modifiedGraph(), and updateDataCurves().

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::openGraph(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), ApplicationWindow::waterfallPlot(), and waterfallYOffset().

## setWaterfallSideLines()

void Graph::setWaterfallSideLines | ( | bool | on = `true` | ) |

References curve(), d_curves, PlotCurve::enableSideLines(), and modifiedGraph().

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::openGraph(), ApplicationWindow::openProject(), ApplicationWindow::openTemplate(), and waterfallYOffset().

## setWaterfallXOffset()

void Graph::setWaterfallXOffset | ( | int | offset | ) |

References d_waterfall_offset_x, modifiedGraph(), and updateDataCurves().

Referenced by waterfallYOffset().

## setWaterfallYOffset()

void Graph::setWaterfallYOffset | ( | int | offset | ) |

References d_waterfall_offset_y, modifiedGraph(), and updateDataCurves().

Referenced by waterfallYOffset().

## setXAxisTitle()

void Graph::setXAxisTitle | ( | const QString & | text | ) |

References modifiedGraph(), and setAxisTitle().

Referenced by LineProfileTool::calculateLineProfile(), FFT::outputGraphs(), and selectedArrow().

## setYAxisTitle()

void Graph::setYAxisTitle | ( | const QString & | text | ) |

References modifiedGraph(), and setAxisTitle().

Referenced by LineProfileTool::calculateLineProfile(), FFT::outputGraphs(), and selectedArrow().

## showAxis()

void Graph::showAxis | ( | int | axis,
|  | int | type,
|  | const QString & | formatInfo,
|  | Table * | table,
|  | bool | axisOn,
|  | int | majTicksType,
|  | int | minTicksType,
|  | bool | labelsOn,
|  | const QColor & | c,
|  | int | format,
|  | int | prec,
|  | int | rotation,
|  | int | baselineDist,
|  | const QString & | formula,
|  | const QColor & | labelsColor,
|  | int | spacing = `4`,
|  | bool | backbone = `true`,
|  | const ScaleDraw::ShowTicksPolicy & | showTicks = `ScaleDraw::ShowAll`,
|  | const QString & | prefix = `QString::null`,
|  | const QString & | suffix = `QString::null`
| ) |  |

References axisColor(), axisLabelFormat(), axisLabelPrecision(), axisLabelsColor(), d_grid, d_synchronize_scales, ScaleDraw::Date, ScaleDraw::Day, enableAxis(), ScaleDraw::formatString(), ScaleDraw::formula(), getMajorTicksType(), getMinorTicksType(), labelsRotation(), majorTickLength(), minorTickLength(), modifiedGraph(), ScaleDraw::Month, ScaleDraw::Numeric, ScaleDraw::prefix(), ScalePicker::refresh(), scalePicker, ScaleDraw::scaleType(), setAxisLabelRotation(), setAxisTicksLength(), setLabelsDateTimeFormat(), setLabelsDayFormat(), setLabelsMonthFormat(), setLabelsNumericFormat(), setLabelsTextFormat(), ScaleDraw::setPrefix(), ScaleDraw::setShowTicksPolicy(), ScaleDraw::setSuffix(), ScaleDraw::showTicksPolicy(), ScaleDraw::suffix(), ScaleDraw::Time, updateLayout(), updateSecondaryAxis(), Grid::xZeroLineMarker(), and Grid::yZeroLineMarker().

Referenced by selectedArrow(), and AxesDialog::showAxis().

## showAxisContextMenu()

void Graph::showAxisContextMenu | ( | int | axis | ) |

References grid(), hideSelectedAxis(), setAutoScale(), showAxisDialog(), showGrids(), and showScaleDialog().

Referenced by Graph(), and setAutoscaleFonts().

## showAxisDialog() [1/2]

void Graph::showAxisDialog | ( |  | ) |

References ScalePicker::currentAxis(), and scalePicker.

Referenced by Graph(), hasGridOnTop(), showAxisContextMenu(), and waterfallYOffset().

## showAxisDialog [2/2]

void Graph::showAxisDialog | ( | int |  | ) |

signal

## showAxisTitleDialog

void Graph::showAxisTitleDialog | ( |  | ) |

signal

Referenced by enableTextEditor(), showAxisTitleMenu(), and waterfallYOffset().

## showAxisTitleMenu()

void Graph::showAxisTitleMenu | ( |  | ) |

References clearAxisTitle(), copyAxisTitle(), cutAxisTitle(), removeAxisTitle(), and showAxisTitleDialog().

Referenced by Graph(), and setAutoscaleFonts().

## showContextMenu

void Graph::showContextMenu | ( |  | ) |

signal

Referenced by contextMenuEvent(), and waterfallYOffset().

## showCurve

void Graph::showCurve | ( | int | index,
|  | bool | visible = `true`
| ) |  |

slot

Shows/Hides a curve defined by its index.

References modifiedGraph(), and plotItem().

Referenced by ApplicationWindow::hideCurve(), ApplicationWindow::hideOtherCurves(), setPageGeometry(), and ApplicationWindow::showAllCurves().

## showCurveContextMenu

void Graph::showCurveContextMenu | ( | QwtPlotItem * |  | ) |

signal

Referenced by contextMenuEvent(), and waterfallYOffset().

## showEvent()

void Graph::showEvent | ( | QShowEvent * | event | ) |

private

References updateCurveLabels().

Referenced by waterfallYOffset().

## showFitResults

void Graph::showFitResults | ( | const QString & |  | ) |

signal

Referenced by waterfallYOffset().

## showGrid() [1/2]

void Graph::showGrid | ( |  | ) |

Convenience function enabling the grid for QwtScaleDraw::Left and Bottom Scales.

Referenced by setAutoscaleFonts(), showGrids(), and ApplicationWindow::zoomRectanglePlot().

## showGrid() [2/2]

void Graph::showGrid | ( | int | axis | ) |

Convenience function enabling the grid for a user defined axis.

References d_grid, and modifiedGraph().

## showGrids()

void Graph::showGrids | ( |  | ) |

References ScalePicker::currentAxis(), scalePicker, and showGrid().

Referenced by setAutoscaleFonts(), and showAxisContextMenu().

## showMarkerPopupMenu

void Graph::showMarkerPopupMenu | ( |  | ) |

signal

Referenced by contextMenuEvent(), Graph(), and waterfallYOffset().

## showMissingDataGap()

void Graph::showMissingDataGap | ( | bool | on = `true`,
|  | bool | update = `true`
| ) |  |

References d_missing_data_gap, and modifiedGraph().

Referenced by PlotDialog::acceptParams(), notifyFontChange(), ApplicationWindow::openGraph(), and ApplicationWindow::setPreferences().

## showPlotDialog

void Graph::showPlotDialog | ( | int |  | ) |

signal

Referenced by Graph(), and waterfallYOffset().

## showPlotErrorMessage()

void Graph::showPlotErrorMessage | ( | QWidget * | parent,
|  | const QStringList & | emptyColumns
| ) |  |

static

Referenced by CurvesDialog::addCurves(), and setAutoscaleFonts().

## showScaleDialog()

void Graph::showScaleDialog | ( |  | ) |

References axisDblClicked(), ScalePicker::currentAxis(), and scalePicker.

Referenced by hasGridOnTop(), and showAxisContextMenu().

## showTitleContextMenu()

void Graph::showTitleContextMenu | ( |  | ) |

References clearTitle(), copyTitle(), cutTitle(), removeTitle(), and viewTitleDialog().

Referenced by Graph(), and setAutoscaleFonts().

## spectrogram()

Spectrogram * Graph::spectrogram | ( | Matrix * | m | ) |

Returns a pointer to the spectrogram which data source is matrix m (the pointer can be NULL)

References d_curves, and Spectrogram::matrix().

Referenced by hasGridOnTop(), and plotSpectrogram().

## speedModeMaxPoints()

int Graph::speedModeMaxPoints | ( |  | ) |

inline

References d_speed_mode_points.

Referenced by DataCurve::enableSpeedMode(), and PlotDialog::setActiveLayer().

## stackingOrderEnrichmentsList()

QList< FrameWidget * > Graph::stackingOrderEnrichmentsList | ( |  | ) | const

private

References MultiLayer::canvas(), d_enrichments, multiLayer(), and FrameWidget::plot().

Referenced by mousePressed(), print(), and waterfallYOffset().

## textsList()

QList< LegendWidget * > Graph::textsList | ( |  | ) |

References d_enrichments.

Referenced by activeTool(), and MultiLayer::setFonts().

## titleSelected()

bool Graph::titleSelected | ( |  | ) |

References TitlePicker::selected(), and titlePicker.

Referenced by backgroundPixmap(), ApplicationWindow::clearSelection(), ApplicationWindow::enableTextEditor(), and TextEditor::TextEditor().

## updateAxesTitles()

void Graph::updateAxesTitles | ( |  | ) |

References parseAxisTitle().

Referenced by PlotDialog::acceptParams(), CurvesDialog::addCurves(), addCurves(), copy(), Graph(), ApplicationWindow::openGraph(), PlotWizard::plot2D(), selectedArrow(), and updateCurveNames().

## updateAxisTitle()

void Graph::updateAxisTitle | ( | int | axis | ) |

References parseAxisTitle().

Referenced by ApplicationWindow::plotDoubleYAxis(), and selectedArrow().

## updateCurveLabels()

void Graph::updateCurveLabels | ( |  | ) |

References curvesList(), and Function.

Referenced by resizeEvent(), setCanvasSize(), and showEvent().

## updateCurveLayout()

void Graph::updateCurveLayout | ( | PlotCurve * | c,
|  | const CurveLayout * | cL
| ) |  |

References CurveLayout::aCol, CurveLayout::aStyle, PatternBox::brushStyle(), CurveLayout::connectType, curveIndex(), d_curves, CurveLayout::fillCol, CurveLayout::filledArea, getPenStyle(), CurveLayout::lCol, CurveLayout::lStyle, CurveLayout::lWidth, CurveLayout::penWidth, PlotCurve::plotStyle(), Scatter, Spline, CurveLayout::sSize, SymbolBox::style(), CurveLayout::sType, CurveLayout::symCol, and VerticalSteps.

Referenced by CurvesDialog::addCurveFromTable(), addCurves(), insertCurve(), ApplicationWindow::openGraph(), PlotWizard::plot2D(), and setAxisStep().

## updateCurveNames()

void Graph::updateCurveNames | ( | const QString & | oldName,
|  | const QString & | newName,
|  | bool | updateTableName = `true`
| ) |  |

References d_curves, Function, DataCurve::plotAssociation(), PlotCurve::type(), updateAxesTitles(), and DataCurve::updateColumnNames().

Referenced by curve(), ApplicationWindow::updateColNames(), and ApplicationWindow::updateTableNames().

## updateCurvesData

void Graph::updateCurvesData | ( | Table * | w,
|  | const QString & | yColName
| ) |  |

slot

References d_curves, Function, PlotCurve::type(), updateMarkersBoundingRect(), and updatePlot().

Referenced by setPageGeometry(), and ApplicationWindow::updateCurves().

## updateDataCurves()

void Graph::updateDataCurves | ( |  | ) |

References d_curves, dataCurve(), and DataCurve::loadData().

Referenced by ApplicationWindow::openGraph(), ApplicationWindow::pasteSelection(), MultiLayer::reverseWaterfallOrder(), setWaterfallOffset(), setWaterfallXOffset(), setWaterfallYOffset(), MultiLayer::updateWaterfalls(), and waterfallYOffset().

## updatedLayout

void Graph::updatedLayout | ( | Graph * |  | ) |

signal

Referenced by updateLayout(), and waterfallYOffset().

## updateErrorBars()

void Graph::updateErrorBars | ( | ErrorBarsCurve * | er,
|  | bool | xErr,
|  | double | width,
|  | int | cap,
|  | const QColor & | c,
|  | bool | plus,
|  | bool | minus,
|  | bool | through
| ) |  |

References ErrorBarsCurve::capLength(), ErrorBarsCurve::color(), ErrorBarsCurve::drawMinusSide(), ErrorBarsCurve::drawPlusSide(), ErrorBarsCurve::drawThroughSymbol(), ErrorBarsCurve::minusSide(), modifiedGraph(), ErrorBarsCurve::plusSide(), ErrorBarsCurve::setCapLength(), ErrorBarsCurve::setColor(), ErrorBarsCurve::setWidth(), ErrorBarsCurve::setXErrors(), ErrorBarsCurve::throughSymbol(), ErrorBarsCurve::width(), and ErrorBarsCurve::xErrors().

Referenced by PlotDialog::applyErrorBarFormatToCurve(), curve(), and PlotDialog::pickErrorBarsColor().

## updateLayout()

void Graph::updateLayout | ( |  | ) |

Adjust plot content to its current size. Must be reimplemented because the base implementation adds a mask causing an ugly drawing artefact.

References updatedLayout().

Referenced by AxesDialog::applyAxisFormatToLayer(), copy(), insertText(), ApplicationWindow::openGraph(), resizeEvent(), MultiLayer::resizeLayers(), TexWidget::restore(), MultiLayer::setCommonLayerAxes(), setCurvesList(), showAxis(), and Spectrogram::showColorScale().

## updateMarkersBoundingRect()

void Graph::updateMarkersBoundingRect | ( | bool | rescaleEvent = `true` | ) |

Keep the markers on screen each time the scales are modified by adding/removing curves.

References FrameWidget::attachPolicy(), d_enrichments, d_lines, FrameWidget::resetCoordinates(), FrameWidget::resetOrigin(), FrameWidget::Scales, and FrameWidget::updateCoordinates().

Referenced by TextDialog::apply(), drawLineActive(), enablePanningMagnifier(), TextDialog::formatLayerLabels(), setCanvasGeometry(), setCanvasSize(), FunctionDialog::setConstants(), setCurrentFont(), setScale(), updateCurvesData(), AxesDialog::updatePlot(), updateScale(), and zoomed().

## updateOppositeScaleDiv()

void Graph::updateOppositeScaleDiv | ( | int | axis | ) |

References ScaleEngine::clone(), d_user_step, and oppositeAxis().

Referenced by fitCurvesList(), AxesDialog::updatePlot(), and updateSecondaryAxis().

## updatePlot()

void Graph::updatePlot | ( |  | ) |

References d_active_tool, d_auto_scale, d_user_step, updateScale(), and zoomOn().

Referenced by CurveRangeDialog::accept(), CurvesDialog::addCurves(), addErrorBars(), addFunction(), addHistogram(), Correlation::addResultCurve(), Convolution::addResultCurve(), Filter::addResultCurve(), DrawPointTool::appendPoint(), curve(), ApplicationWindow::differentiate(), ApplicationWindow::fitLinear(), ApplicationWindow::fitSlope(), modifyFunctionCurve(), Differentiation::output(), FFT::outputGraphs(), PlotWizard::plot2D(), plotVectors(), ApplicationWindow::remove3DMatrixPlots(), ApplicationWindow::removeCurve(), CurvesDialog::removeCurves(), PlotDialog::removeSelectedObject(), FunctionCurve::restore(), setCurveFullRange(), RangeSelectorTool::setCurveRange(), Fit::showConfidenceLimits(), Fit::showPredictionLimits(), Fit::showResiduals(), AssociationsDialog::updateCurves(), updateCurvesData(), and ApplicationWindow::updateMatrixPlots().

## updateScale()

void Graph::updateScale | ( |  | ) |

References d_auto_scale, d_synchronize_scales, d_zoomer, updateMarkersBoundingRect(), and updateSecondaryAxis().

Referenced by PlotDialog::acceptParams(), PlotDialog::applyFormatToLayer(), setAutoScale(), setAxisStep(), ApplicationWindow::setGraphDefaultSettings(), and updatePlot().

## updateSecondaryAxis()

void Graph::updateSecondaryAxis | ( | int | axis,
|  | bool | changeFormat = `false`
| ) |  |

References Spectrogram::colorScaleAxis(), d_curves, ScaleDraw::Date, ScaleDraw::Day, ScaleDraw::formatString(), ScaleDraw::Month, ScaleDraw::nameFormat(), oppositeAxis(), ScaleDraw::scaleType(), setLabelsDateTimeFormat(), setLabelsDayFormat(), setLabelsMonthFormat(), ScaleDraw::Time, and updateOppositeScaleDiv().

Referenced by addCurves(), fitCurvesList(), plotSpectrogram(), FunctionDialog::setConstants(), ApplicationWindow::setPreferences(), setScale(), showAxis(), updateScale(), and zoomOut().

## updateVectorsLayout()

void Graph::updateVectorsLayout | ( | int | curve,
|  | const QColor & | color,
|  | double | width,
|  | int | arrowLength,
|  | int | arrowAngle,
|  | bool | filled,
|  | int | position,
|  | const QString & | xEndColName = `QString()`,
|  | const QString & | yEndColName = `QString()`
| ) |  |

References curve(), VectorCurve::fillArrowHead(), modifiedGraph(), VectorCurve::setColor(), VectorCurve::setHeadAngle(), VectorCurve::setHeadLength(), VectorCurve::setPosition(), VectorCurve::setVectorEnd(), and VectorCurve::setWidth().

Referenced by PlotDialog::acceptParams(), fitCurvesList(), and ApplicationWindow::openGraph().

## updateWaterfallFill()

void Graph::updateWaterfallFill | ( | bool | on | ) |

References curve(), d_curves, modifiedGraph(), and multiLayer().

Referenced by waterfallYOffset().

## validCurvesDataSize()

bool Graph::validCurvesDataSize | ( |  | ) |

References d_curves.

Referenced by ApplicationWindow::analysis(), ApplicationWindow::baselineDialog(), curveCount(), ApplicationWindow::fitMultiPeak(), ApplicationWindow::movePoints(), ApplicationWindow::removePoints(), ApplicationWindow::showCursor(), ApplicationWindow::showExpDecayDialog(), ApplicationWindow::showFFTDialog(), ApplicationWindow::showFilterDialog(), ApplicationWindow::showFitDialog(), ApplicationWindow::showFitPolynomDialog(), ApplicationWindow::showInterpolationDialog(), ApplicationWindow::showSmoothDialog(), ApplicationWindow::subtractReferenceData(), ApplicationWindow::subtractStraightLine(), and ApplicationWindow::translateCurve().

## viewLineDialog

void Graph::viewLineDialog | ( |  | ) |

signal

Referenced by Graph(), and waterfallYOffset().

## viewTitleDialog

void Graph::viewTitleDialog | ( |  | ) |

signal

Referenced by enableTextEditor(), showTitleContextMenu(), and waterfallYOffset().

## visibleCurves

int Graph::visibleCurves | ( |  | ) |

slot

References d_curves.

Referenced by setPageGeometry(), ApplicationWindow::showCurveContextMenu(), and ApplicationWindow::showGraphContextMenu().

## waterfallXOffset()

int Graph::waterfallXOffset | ( |  | ) |

inline

References d_waterfall_offset_x.

Referenced by copy(), DataCurve::loadData(), and MultiLayer::showWaterfallOffsetDialog().

## waterfallYOffset()

int Graph::waterfallYOffset | ( |  | ) |

inline

References axisBoundingInterval(), axisDblClicked(), axisDivChanged(), closedGraph(), currentColorChanged(), currentFontChanged(), cursorInfo(), d_waterfall_offset_y, dataRangeChanged(), deselectCurves(), dragEnterEvent(), drawBreak(), drawInwardTicks(), drawItems(), drawLineEnded(), dropEvent(), enableTextEditor(), hiddenPlot(), min, modifiedGraph(), parseAxisTitle(), printCanvas(), printFrame(), printScale(), reverseCurveOrder(), selectedCanvas(), selectedGraph(), selectionChanged(), selectorDeleted(), setWaterfallFillColor(), setWaterfallOffset(), setWaterfallSideLines(), setWaterfallXOffset(), setWaterfallYOffset(), showAxisDialog(), showAxisTitleDialog(), showContextMenu(), showCurveContextMenu(), showEvent(), showFitResults(), showMarkerPopupMenu(), showPlotDialog(), stackingOrderEnrichmentsList(), updateDataCurves(), updatedLayout(), updateWaterfallFill(), viewLineDialog(), and viewTitleDialog().

Referenced by copy(), DataCurve::loadData(), and MultiLayer::showWaterfallOffsetDialog().

## zoom()

void Graph::zoom | ( | bool | on | ) |

References d_curves, and d_zoomer.

Referenced by disableTools(), Graph(), setAxisStep(), and ApplicationWindow::zoomIn().

## zoomed()

void Graph::zoomed | ( | const QwtDoubleRect & |  | ) |

References axisDivChanged(), modifiedGraph(), and updateMarkersBoundingRect().

Referenced by Graph(), and setAxisStep().

## zoomOn()

bool Graph::zoomOn | ( |  | ) |

References d_zoomer.

Referenced by ApplicationWindow::custom2DPlotTools(), disableTools(), CanvasPicker::eventFilter(), hasActiveTool(), MultiLayer::removeLayer(), setAxisStep(), MultiLayer::setNumLayers(), and updatePlot().

## zoomOut()

void Graph::zoomOut | ( |  | ) |

References d_synchronize_scales, d_zoomer, and updateSecondaryAxis().

Referenced by setAxisStep().

## Member Data Documentation

## autoScaleFonts

bool Graph::autoScaleFonts

private

Referenced by autoscaleFonts(), copy(), Graph(), saveToString(), setAutoscaleFonts(), setCanvasGeometry(), and setCanvasSize().

## cp

CanvasPicker* Graph::cp

private

Referenced by deselectMarker(), Graph(), remove(), and ~Graph().

## d_active_enrichment

FrameWidget* Graph::d_active_enrichment

private

Pointer to the currently selected text/legend.

Referenced by activeEnrichment(), activeText(), add(), addText(), deselectMarker(), Graph(), imageMarkerSelected(), insertText(), markerSelected(), remove(), select(), setActiveText(), setCurrentColor(), and setCurrentFont().

## d_active_tool

PlotToolInterface* Graph::d_active_tool

private

The currently active tool, or NULL for default (pointer).

Referenced by activeTool(), disableTools(), Graph(), hasActiveTool(), setActiveTool(), updatePlot(), and ~Graph().

## d_antialiasing

bool Graph::d_antialiasing

private

Render hint for plot items.

Referenced by antialiasing(), disableCurveAntialiasing(), Graph(), insertCurve(), insertMarker(), isCurveAntialiasingEnabled(), saveToString(), and setAntialiasing().

## d_auto_scale

bool Graph::d_auto_scale

private

Flag indicating if the axes limits should be changed in order to show all data each time a curva data change occurs.

Referenced by addCurves(), copy(), enableAutoscaling(), Graph(), isAutoscalingEnabled(), saveToString(), updatePlot(), and updateScale().

## d_axis_title_policy

AxisTitlePolicy Graph::d_axis_title_policy

private

Referenced by axisTitlePolicy(), Graph(), parseAxisTitle(), and setAxisTitlePolicy().

## d_axis_titles

QStringList Graph::d_axis_titles

private

Referenced by axisTitleString(), copyScaleWidget(), Graph(), parseAxisTitle(), and setAxisTitleString().

## d_canvas_bkg_path

QString Graph::d_canvas_bkg_path

private

Referenced by canvasBackgroundFileName(), Graph(), restoreBackgroundImage(), saveBackgroundImage(), and setCanvasBackgroundImage().

## d_canvas_bkg_pix

QPixmap Graph::d_canvas_bkg_pix

private

Referenced by backgroundPixmap(), drawItems(), Graph(), restoreBackgroundImage(), saveBackgroundImage(), and setCanvasBackgroundImage().

## d_curves

QList<QwtPlotItem*> Graph::d_curves

private

List storing pointers to the curves on the plot.

Referenced by addErrorBars(), addLegendItem(), analysableCurvesList(), changeCurveIndex(), closestCurve(), curve(), curveCount(), curveIndex(), curveNamesList(), curvesList(), disableCurveAntialiasing(), enableDouglasPeukerSpeedMode(), enablePanningMagnifier(), generateFunctionName(), guessUniqueCurveLayout(), initCurveLayout(), insertCurve(), isPiePlot(), legendText(), masterCurve(), parseAxisTitle(), pieLegendText(), plotItem(), plotItemsList(), print(), reloadCurvesData(), removeCurve(), removeCurves(), removeLegendItem(), restoreSymbolImage(), reverseCurveOrder(), saveCurves(), saveToString(), setAntialiasing(), setCurvesList(), setGrayScale(), setIndexedColors(), setWaterfallFillColor(), setWaterfallSideLines(), spectrogram(), updateCurveLayout(), updateCurveNames(), updateCurvesData(), updateDataCurves(), updateSecondaryAxis(), updateWaterfallFill(), validCurvesDataSize(), visibleCurves(), and zoom().

## d_disable_curve_antialiasing

bool Graph::d_disable_curve_antialiasing

private

Referenced by copy(), disableCurveAntialiasing(), isCurveAntialiasingDisabled(), and isCurveAntialiasingEnabled().

## d_Douglas_Peuker_tolerance

double Graph::d_Douglas_Peuker_tolerance

private

Referenced by copy(), copyCurves(), enableDouglasPeukerSpeedMode(), getDouglasPeukerTolerance(), Graph(), and saveToString().

## d_enrichments

QList<FrameWidget*> Graph::d_enrichments

private

Referenced by add(), addImage(), addLegendItem(), addTexFormula(), addText(), boundingRect(), enrichmentsList(), increasingAreaEnrichmentsList(), insertImageMarker(), insertText(), legend(), modifyFunctionCurve(), newLegend(), plotBox(), raiseEnrichements(), remove(), removeLegendItem(), resizeEvent(), saveMarkers(), scaleFonts(), stackingOrderEnrichmentsList(), textsList(), updateMarkersBoundingRect(), and ~Graph().

## d_fit_curves

QList<QwtPlotCurve *> Graph::d_fit_curves

private

List storing pointers to the curves resulting after a fit session, in case the user wants to delete them later on.

Referenced by addFitCurve(), copyCurves(), deleteFitCurves(), fitCurvesList(), and removeCurve().

## d_grid

Grid* Graph::d_grid

private

Pointer to the grid.

Referenced by Graph(), grid(), setAxesLinewidth(), setAxisColor(), setGridOnTop(), showAxis(), and showGrid().

## d_grid_on_top

bool Graph::d_grid_on_top

private

Flag telling if the grid should be drawn on top of data.

Referenced by copy(), Graph(), hasGridOnTop(), saveToString(), and setGridOnTop().

## d_image_profiles_tool

QPointer<ImageProfilesTool> Graph::d_image_profiles_tool

private

Referenced by disableImageProfilesTool(), Graph(), imageProfilesTool(), saveToString(), and setActiveTool().

## d_is_printing

bool Graph::d_is_printing

private

Flag telling if we are performing a print operation.

Referenced by drawItems(), Graph(), isPrinting(), and print().

## d_lines

QList<ArrowMarker*> Graph::d_lines

private

Arrows/lines on plot.

Referenced by addArrow(), arrowMarkerSelected(), arrowsList(), deselectMarker(), numArrows(), remove(), removeMarker(), saveMarkers(), setAntialiasing(), setSelectedArrow(), and updateMarkersBoundingRect().

## d_magnifier

QwtPlotMagnifier* Graph::d_magnifier

private

Referenced by enablePanningMagnifier(), Graph(), hasActiveTool(), hasPanningMagnifierEnabled(), magnifyTool(), and ~Graph().

## d_maj_tick_length

int Graph::d_maj_tick_length

private

Referenced by drawBreak(), drawInwardTicks(), Graph(), majorTickLength(), and setTickLength().

## d_markers_selector

QPointer<SelectionMoveResizer> Graph::d_markers_selector

private

The markers selected for move/resize operations or NULL if none are selected.

Referenced by deselect(), deselectMarker(), hasSeletedItems(), remove(), removeMarker(), select(), selectionMoveResizer(), selectorDeleted(), setSelectedArrow(), and ~Graph().

## d_max_antialising_size

int Graph::d_max_antialising_size

private

Referenced by copy(), disableCurveAntialiasing(), isCurveAntialiasingEnabled(), and maxAntialisingSize().

## d_min_tick_length

int Graph::d_min_tick_length

private

Axes tick lengths.

Referenced by drawInwardTicks(), Graph(), minorTickLength(), and setTickLength().

## d_missing_data_gap

bool Graph::d_missing_data_gap

private

Flag telling if the curves line should be connected across missing data.

Referenced by copy(), Graph(), isMissingDataGapEnabled(), saveToString(), and showMissingDataGap().

## d_page_rect

QRectF Graph::d_page_rect

private

Referenced by Graph(), pageGeometry(), and setPageGeometry().

## d_panner

QwtPlotPanner* Graph::d_panner

private

Referenced by enablePanningMagnifier(), Graph(), hasActiveTool(), hasPanningMagnifierEnabled(), and ~Graph().

## d_peak_fit_tool

PlotToolInterface * Graph::d_peak_fit_tool

private

Referenced by disableTools(), Graph(), hasActiveTool(), setActiveTool(), and ~Graph().

## d_range_selector

QPointer<RangeSelectorTool> Graph::d_range_selector

private

The current curve selection, or NULL if none is active.

Referenced by disableTools(), enableRangeSelectors(), Graph(), hasActiveTool(), range(), rangeSelectorsEnabled(), rangeSelectorTool(), removeCurve(), selectedXEndValue(), selectedXStartValue(), setActiveTool(), and ~Graph().

## d_selected_arrow

ArrowMarker* Graph::d_selected_arrow

private

Pointer to the currently selected line/image.

Referenced by arrowMarkerSelected(), contextMenuEvent(), deselectMarker(), Graph(), markerSelected(), remove(), removeMarker(), selectedArrow(), and setSelectedArrow().

## d_speed_mode_points

int Graph::d_speed_mode_points

private

Referenced by copyCurves(), enableDouglasPeukerSpeedMode(), Graph(), saveToString(), and speedModeMaxPoints().

## d_synchronize_scales

bool Graph::d_synchronize_scales

private

Referenced by copy(), Graph(), hasSynchronizedScaleDivisions(), setScale(), setSynchronizedScaleDivisions(), showAxis(), updateScale(), and zoomOut().

## d_user_step

QVector<double> Graph::d_user_step

private

Stores the step the user specified for the four scale. If step = 0.0, the step will be calculated automatically by the Qwt scale engine.

Referenced by axisStep(), Graph(), recoverObsoleteDateTimeScale(), saveScale(), setAutoScale(), setAxisStep(), setScale(), updateOppositeScaleDiv(), and updatePlot().

## d_waterfall_offset_x

int Graph::d_waterfall_offset_x

private

Referenced by copy(), Graph(), isWaterfallPlot(), saveToString(), setWaterfallOffset(), setWaterfallXOffset(), and waterfallXOffset().

## d_waterfall_offset_y

int Graph::d_waterfall_offset_y

private

Referenced by copy(), Graph(), isWaterfallPlot(), saveToString(), setWaterfallOffset(), setWaterfallYOffset(), and waterfallYOffset().

## d_zoomer

QwtPlotZoomer* Graph::d_zoomer[2]

private

Referenced by addCurves(), copy(), Graph(), plotSpectrogram(), setScale(), updateScale(), zoom(), zoomOn(), and zoomOut().

## drawArrowOn

bool Graph::drawArrowOn

private

Referenced by drawArrow(), drawLine(), and Graph().

## drawAxesBackbone

bool Graph::drawAxesBackbone

private

Referenced by axesBackbones(), drawAxesBackbones(), Graph(), loadAxesOptions(), saveAxesBackbones(), and setLabelsDateTimeFormat().

## drawLineOn

bool Graph::drawLineOn

private

Referenced by drawLine(), drawLineActive(), and Graph().

## scalePicker

ScalePicker* Graph::scalePicker

private

Referenced by axisTitleRect(), axisTitleSelected(), clearAxisTitle(), copyAxisTitle(), currentScale(), deselect(), enableAxis(), Graph(), hasSeletedItems(), hideSelectedAxis(), mousePressed(), plotPie(), removeAxisTitle(), select(), selectedScale(), setCurrentColor(), setCurrentFont(), setSelectedArrow(), showAxis(), showAxisDialog(), showGrids(), showScaleDialog(), and ~Graph().

## titlePicker

TitlePicker* Graph::titlePicker

private

Referenced by deselect(), enableTextEditor(), Graph(), hasSeletedItems(), selectTitle(), setCurrentColor(), setCurrentFont(), titleSelected(), and ~Graph().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/Graph.h
- qtiplot/src/plot2D/Graph.cpp